<?php

$theme_name = "Parker";
$theme_version = "1.3.3";
global $theme_name;
global $theme_version;


define( 'ACF_LITE' , true );
include_once('includes/advanced-custom-fields/acf.php' );

include 'includes/post-types.php';
include 'includes/comment.php';
include 'includes/fonts.php';
include 'includes/social-share.php';
include 'includes/branding.php';
include 'includes/shortcodes/shortcodes.php';
include 'includes/custom-fields.php';



/*ACF*/
// Fields
    add_action('acf/register_fields', 'my_register_fields');

    function my_register_fields()
    {
        include_once('includes/add-ons/acf-repeater/repeater.php');
        include_once('includes/add-ons/acf-gallery/gallery.php');
        include_once('includes/add-ons/acf-flexible-content/flexible-content.php');
        include_once('includes/add-ons/advanced-custom-fields-limiter-field/limiter-v4.php');
       
        include_once('includes/registered-fields/presets/acf-presets.php');
        include_once('includes/registered-fields/google-font/acf-googlefonts.php');
        include_once('includes/registered-fields/googlemap/acf-googlemap.php');
    }

// Options Page

    include_once( 'includes/add-ons/acf-options-page/acf-options-page.php' );


add_filter('acf/options_page/settings','register_options_page');

    function register_options_page($options)
    {
       $options['title'] = __('Theme Options','um_lang');
       $options['pages'] = array(
            __('Main','um_lang'),
			__('Header','um_lang'),
			__('Footer','um_lang')
        );
       return $options;
    }
   

    add_action( 'acf/input/admin_enqueue_scripts', 'acf_collapse_fields' );
    function acf_collapse_fields(){
        wp_enqueue_script('collapse-fields_js', get_template_directory_uri().'/includes/collapse-fields/acf_collapse.js', array(),'',TRUE);
        wp_enqueue_style('collapse-fields_css',  get_template_directory_uri().'/includes/collapse-fields/acf_collapse.css' , false, "1.0");
    }

/*ACF*/


if ( ! isset( $content_width ) ) $content_width = 940;


/*Image Sizes*/

    add_image_size('home_box', 360 * 2, 202 * 2, true);

    add_image_size( 'clients', 160, 100, false );

    add_image_size( 'projects', 691, 432, true );

    add_image_size( 'projects_landscape', 1110, 250, true );

    add_image_size( 'service_icon', 64 * 2, 64 * 2, true );

    add_image_size( 'logo_image', 250 * 2, 100 * 2, true );

    add_image_size( 'single_blog', 1600 , 341, true );

/*Image Sizes*/


/*Support Language Translation*/
    add_action('after_setup_theme', 'um_theme_setup');
    function um_theme_setup(){
        load_theme_textdomain('um_lang', get_template_directory().'/lang');
    }
/*Support Language Translation*/


/*Add Menu Support*/

    add_action( 'after_setup_theme', 'register_theme_menus' );
    function register_theme_menus() {
    register_nav_menus(
        array(
            'first_menu' => __( 'First Menu',"um_lang" ),
            'second_menu' => __( 'Second Menu',"um_lang" )
            
        )
    );
}
/*Add Menu Support*/

/*Excerpt more*/
 function new_excerpt_more($more )
    {
        return '...';
    }
    add_filter('excerpt_more', 'new_excerpt_more');
/*Excerpt more*/
	
/* Register Sidebar*/


add_action( 'after_setup_theme', 'um_registerSidebar' );
function um_registerSidebar(){

        register_sidebar( array(
        'name' => __( 'Main Sidebar', 'umbrella' ),
        'id' => 'sidebar-1',
		'description' => __('Add widgets to the Main sidebar','um_lang'),
        'before_widget' => '<div id="%1$s" class="widget">',
        'after_widget' => "</div>",
        'before_title' => '<h4>',
        'after_title' => '</h4>'

    ) );
}
/* Register Sidebar*/


  add_theme_support( 'automatic-feed-links' );
  add_theme_support( 'post-thumbnails' );
  add_theme_support( 'post-formats', array('image','video','audio'));


/*Add theme css and js*/
    add_action( 'wp_enqueue_scripts', 'add_external_stylesheets' );
    add_action( 'wp_enqueue_scripts', 'add_external_js' );

    function add_external_stylesheets()
    {
        
  
    //style.css
        wp_enqueue_style("main", get_stylesheet_uri() , false, "1.0");
    //BOOTSTRAP 
        wp_enqueue_style("Bootsrap", get_template_directory_uri().'/assets/bootstrap3/css/bootstrap.css' , false, "1.0");
    //iCONS
        wp_enqueue_style("font-awesome", get_template_directory_uri().'/assets/Fonts/FontAwesome/css/font-awesome.min.css' , false, "1.0");
    // SLY SLIDER STYLE 
        wp_enqueue_style("sly", get_template_directory_uri().'/assets/css/sly_required.css' , false, "1.0");
    // FONTS
        wp_enqueue_style("Realway", get_template_directory_uri().'/assets/Fonts/Realway/stylesheet.css' , false, "1.0");
	//Animate
        wp_enqueue_style("Animate", get_template_directory_uri().'/assets/css/animate.css' , false, "1.0");
    //SuperSlides
        wp_enqueue_style("SuperSlides", get_template_directory_uri().'/assets/SuperSlides/css/superslides.css' , false, "1.0");
	//responsiveSlider
        wp_enqueue_style("responsiveSlider", get_template_directory_uri().'/assets/responsiveSlider/responsiveslides.css' , false, "1.0");
    //mCustomScrollbar
        wp_enqueue_style("mCustomScrollbar", get_template_directory_uri().'/assets/css/jquery.mCustomScrollbar.css' , false, "1.0");
	//mediaElement
		wp_enqueue_style("mediaElement", get_template_directory_uri().'/assets/css/mediaelementplayer.min.css' , false, "1.0");
    //Global
        wp_enqueue_style("Global", get_template_directory_uri().'/assets/css/global.css' , false, "1.0");
    //logo custom font
        $logo_font = get_field('logo_font','option');
        if($logo_font){
            wp_enqueue_style("logo_font","http://fonts.googleapis.com/css?family=".$logo_font['family']."&subset=latin,cyrillic", false, "1.0");
        }
	//Web site fonts	
		$siteFont = get_field('web_site_font','options');
		if($siteFont){
			 wp_enqueue_style("web_site_font","http://fonts.googleapis.com/css?family=".$siteFont['family']."&subset=latin,cyrillic", false, "1.0");
		}
	//set Skin
		if(get_field('skins','options') == 'dark'){
			 wp_enqueue_style("darkSkin", get_template_directory_uri().'/assets/css/globalDark.css' , false, "1.0");
		}
		
    }

    function add_external_js()
    {
        //jQyery
            wp_enqueue_script('jquery');
        //BOOTSTRAP
            wp_enqueue_script("Bootstrap", get_template_directory_uri()."/assets/bootstrap3/js/bootstrap.js" , array(),'',TRUE);
        //GoogleMap
            wp_enqueue_script("google_map","https://maps.googleapis.com/maps/api/js?sensor=true",'','',TRUE);
        //Main Script
            wp_enqueue_script("main_js", get_template_directory_uri()."/assets/js/main_script.js" , array(),'',TRUE);
        // SLY SLIDER
            wp_enqueue_script("sly", get_template_directory_uri()."/assets/js/sly.js" , array(),'',TRUE);
        //AjaxSite
            wp_enqueue_script("ajaxSite", get_template_directory_uri()."/assets/js/ajaxSite.js" , array(),'',TRUE);
        //Isotope
            wp_enqueue_script("isotope", get_template_directory_uri()."/assets/js/jquery.isotope.js" , array(),'',TRUE);
		//Easing
            wp_enqueue_script("Easing", get_template_directory_uri()."/assets/SuperSlides/js/jquery.easing.1.3.js" , array(),'',TRUE);
		//AnimateEnhanced
            wp_enqueue_script("AnimateEnhanced", get_template_directory_uri()."/assets/SuperSlides/js/hammer.min.js" , array(),'',TRUE);
		//Hammer
            wp_enqueue_script("Hammer", get_template_directory_uri()."/assets/SuperSlides/js/jquery.superslides.min.js" , array(),'',TRUE);
		//SuperSlides
            wp_enqueue_script("SuperSlides", get_template_directory_uri()."/assets/SuperSlides/js/jquery.superslides.min.js" , array(),'',TRUE);
        //responsiveSlider
            wp_enqueue_script("responsiveSlider", get_template_directory_uri()."/assets/responsiveSlider/responsiveslides.min.js" , array(),'',TRUE);
        //mousewheel
            wp_enqueue_script("mousewheel", get_template_directory_uri()."/assets/js/jquery.mousewheel.min.js" , array(),'',TRUE);
        //mCustomScrollbar
            wp_enqueue_script("mCustomScrollbar", get_template_directory_uri()."/assets/js/jquery.mCustomScrollbar.min.js" , array(),'',TRUE);			
		//tab accordion toggle - shortcode
			wp_enqueue_script("tabAccTog", get_template_directory_uri()."/assets/js/tabAccTog.js" , array(),'',TRUE);			
		//mediaElement
			wp_enqueue_script("mediaElement", get_template_directory_uri()."/assets/js/mediaelement-and-player.min.js" , array(),'',TRUE);
        //linkedIn
             wp_enqueue_script("linkedIn","https:////platform.linkedin.com/in.js",'','',TRUE);
		//Comment Replay
           if ( is_singular() ){
                wp_enqueue_script( 'comment-reply','',array(),'',TRUE );
            }
    }
/*Add theme css and js*/


/*Add admin css and js*/
    add_action('admin_enqueue_scripts', 'load_custom_admin_js');
    add_action( 'admin_enqueue_scripts', 'load_custom_admin_css' );

    function load_custom_admin_js()
    {
         wp_enqueue_script("um_adminJS", get_template_directory_uri()."/assets/js/adminJs.js" , array(),'',TRUE);
    }
    function load_custom_admin_css()
    {


    //iCONS
         wp_enqueue_style("font-awesome", get_template_directory_uri().'/assets/Fonts/FontAwesome/css/font-awesome.min.css' , false, "1.0");
         
    //admin Styles
        wp_enqueue_style("um_adminStyle", get_template_directory_uri()."/assets/css/adminStyle.css" , false, "1.0");
    }
/*Add admin css and js*/




/*pagination*/

function pagination($query, $wp_rewrite){
    ?>
	
    <div class="isCentered col-md-12">
        <div class="pagination type2">
            <?php
            $format = $wp_rewrite->using_permalinks() ? "/page/%#%" : '?paged=%#%';
            $big = 999999999; // need an unlikely integer
            echo paginate_links( array(
                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                'format' => $format,
                'current' => max( 1, get_query_var('paged') ),
                'total' => $query->max_num_pages,
                'prev_next'    => true,
                'show_all'     => False,
            ) );
            ?>
        </div>
    </div>
<?php
}
/*pagination*/

/*Errors for contact*/
function throwError($fieldName)
{
    wp_die(__('Error: please fill the Field "'.$fieldName.'"!','um_lang' ) .
        __('<a onclick="history.go(-1)"><p style="cursor: hand; cursor: pointer;">Back</p></a>'));
}
/*Errors for contact*/


?>