<?php 
function doBranding(){
	//set brand color
	$brandColor = get_field('brand_color','options');
	if($brandColor){
		$brandColorArr = sscanf($brandColor, "#%02x%02x%02x");
		?>
		
		<style>

			::selection{
				background: <?php echo $brandColor; ?> !important;
			} 
			::-moz-selection{
				background: <?php echo $brandColor; ?> !important;
			}
			
			.responsiveMenuIcon,
			.capture.cap_video .vid_button:hover,
			.rslides_nav:hover, 
			.css_arrow:hover, 
			.orderByIsotope li:active, 
			.orderByIsotope li a:hover, 
			.spinner, 
			.triangle, 
			.singleCommentForm .send, 
			.commentBody li .comment-reply-link:hover,
			.commentBody li .edit-link a:hover, 
			#commentform > .form-submit #submit,
			blockquote::before, 
			#wp-calendar tbody #today,
			.loadMoreBtn:hover,  
			.loadMoreBtn.isLoading, 
			.pagination .page-numbers:hover, 
			.pagination .page-numbers.current,
			.templateHomeSlider .slider_button a:hover{
				
				background: <?php echo $brandColor; ?> !important;
			}
			
			input:focus, button:focus, select:focus, textarea:focus, 
			input:active, button:active, select:active, textarea:active {
				
				border-color: <?php echo $brandColor; ?> !important;
			}
			
			
			.tags > a:hover,
			.projectLinks li:hover, .projectLinks li a:hover, 
			.projectPreview a:hover,
			.templateHomeSlider .containerWrapper h3 > span > i:hover, 
			.panel-title > a:not(.collapsed), 
			.navbar ul li a.current_page_item,
			.navbar ul li.current_page_item > a,			
			.frame.smart ul li h3 a:hover, 
			.templateHomeFancy .home_fullSlider .controls > span:hover, 
			ul.accordion li a:hover,
			ul.toggle li a:hover, 
			.widget a:hover, 
			.searchList > li a:hover h5, 
			article:hover .title > a,
			header .navbar > div > ul.nav > li > a.current_page_item, 
			header .navbar > div > ul.nav > li > a:hover, 
			footer .footer_social li a:hover,
			projectPreview a:hover{
				color: <?php echo $brandColor; ?> !important;
			}
			
			.project .projectHover, 
			.client .clientHover {
				background: rgba(<?php echo $brandColorArr[0].','.$brandColorArr[1].','.$brandColorArr[2]; ?>,0.85) !important; 
			}

			.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
					background:rgba(<?php echo $brandColorArr[0].','.$brandColorArr[1].','.$brandColorArr[2]; ?>,0.75) !important; 
			}
			
		
			article > .imgHolder{
					background:rgba(<?php echo $brandColorArr[0].','.$brandColorArr[1].','.$brandColorArr[2]; ?>,1) !important; 
			}
			
			.jobAplication, article > .imgHolder{
					background:rgba(<?php echo $brandColorArr[0].','.$brandColorArr[1].','.$brandColorArr[2]; ?>,0.92) !important; 
			}
		</style>
		<?php
	}
		
	// check background type
	$backgroundType = get_field('background','options');
	if($backgroundType == 'color'){
			//set background color
			$backgroundColor = get_field('background_color','options');
			?>
				<style>			
					body {
						background: <?php echo $backgroundColor; ?> !important;
					}
				</style>			
			<?php
			
	}
	elseif($backgroundType == 'pattern'){
			//set background patterns
			$backgroundPatterns = get_field('background_patterns','options');
			
			?>
				<style>
					.um_container{
						background: url("<?php echo get_template_directory_uri().'/assets/patterns/'.$backgroundPatterns; ?>") !important;
					}
				</style>
			<?php
			
	}
	elseif($backgroundType == "img"){
			//set background overlay percentage
			$backgroundOverlayPercentage = get_field('background_overlay_percentage','options');
			$overlay = 1 - ($backgroundOverlayPercentage / 100);
			
			//set background overlay color
			$backgroundOverlayColor = get_field('background_overlay_color','options');
			
			//check if grayscale image
			if(get_field('grayscale_image','options')){
				
				?>
				<style>
				.um_background{
					filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale");
						filter: gray;
						-webkit-filter: grayscale(100%);
				}
				</style>
				<?php
				
			}
			?>
				<style>
					.um_background{
							-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=<?php echo $overlay * 100; ?>)";
							filter: alpha(opacity=<?php echo $overlay * 100; ?>);
							-moz-opacity: <?php echo $overlay; ?> !important;
							-khtml-opacity: <?php echo $overlay; ?> !important;
							opacity: <?php echo $overlay; ?> !important;
							
					}
					.um_container{
						background: <?php echo $backgroundOverlayColor; ?> !important;
					}
				</style>
			<?php
	}
}
		
?>