<?php
if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_page-fields',
		'title' => 'Page Fields',
		'fields' => array (
			array (
				'key' => 'field_5332e0e86c3f6',
				'label' => 'Enable Sidebar',
				'name' => 'enable_sidebar',
				'type' => 'true_false',
				'instructions' => 'Enable Sidebar',
				'message' => '',
				'default_value' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'default',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}
if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_about-me',
		'title' => 'About me',
		'fields' => array (
			array (
				'key' => 'field_52d916a35f30b',
				'label' => 'Name',
				'name' => 'name',
				'type' => 'text',
				'instructions' => 'Add the name',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52d916b75f30c',
				'label' => 'Profession',
				'name' => 'profession',
				'type' => 'text',
				'instructions' => 'Add	the profession Title',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-aboutMe.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_about-us',
		'title' => 'About us',
		'fields' => array (
			array (
				'key' => 'field_52dd56be8acab',
				'label' => 'Members',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52dd5aa78acac',
				'label' => 'Members',
				'name' => 'members',
				'type' => 'repeater',
				'instructions' => 'Add members',
				'sub_fields' => array (
					array (
						'key' => 'field_52dd5adc8acad',
						'label' => 'Full name',
						'name' => 'full_name',
						'type' => 'text',
						'instructions' => 'Full name',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52dd5aec8acae',
						'label' => 'Postition',
						'name' => 'postition',
						'type' => 'text',
						'instructions' => 'The work position',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52dd5afe8acaf',
						'label' => 'Description',
						'name' => 'description',
						'type' => 'textarea',
						'instructions' => 'The	description of the member\'s work or the biography',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'maxlength' => '',
						'formatting' => 'br',
					),
					array (
						'key' => 'field_52dd5b5a8acb0',
						'label' => 'Image',
						'name' => 'image',
						'type' => 'image',
						'instructions' => 'The member\'s photo',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52dd5bb78acb1',
						'label' => 'Social networks',
						'name' => 'social_networks',
						'type' => 'repeater',
						'instructions' => 'Add member\'s social networks',
						'column_width' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_52dd5bd58acb2',
								'label' => 'Network',
								'name' => 'network',
								'type' => 'select',
								'instructions' => 'Select the network',
								'column_width' => '',
								'choices' => array (
									'fa-apple' => 'apple',
									'fa-android' => 'android',
									'fa-flickr' => 'flickr',
									'fa-facebook' => 'facebook',
									'fa-foursquare' => 'foursquare',
									'fa-google-plus' => 'google plus',
									'fa-dribbble' => 'dribbble',
									'fa-linkedin' => 'linkedin',
									'fa-pinterest' => 'pinterest',
									'fa-tumblr' => 'tumblr',
									'fa-youtube' => 'youtube',
									'fa-twitter' => 'twitter',
									'fa-vimeo-square' => 'vimeo',
									'fa-skype' => 'skype',
									'fa-windows' => 'windows',
								),
								'default_value' => 'icon-facebook',
								'allow_null' => 0,
								'multiple' => 0,
							),
							array (
								'key' => 'field_52dd5c5f8acb3',
								'label' => 'Url',
								'name' => 'url',
								'type' => 'text',
								'instructions' => 'Network\'s url',
								'column_width' => '',
								'default_value' => 'http://',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
						'row_min' => 0,
						'row_limit' => '',
						'layout' => 'table',
						'button_label' => 'Add network',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add a member',
			),
			array (
				'key' => 'field_52dd5d4376cdb',
				'label' => 'Application',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_53037dba0e3a5',
				'label' => 'Application type',
				'name' => 'application_type',
				'type' => 'radio',
				'choices' => array (
					'file' => 'File',
					'url' => 'Url',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => '',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52dd5e238ff27',
				'label' => 'Enable Application',
				'name' => 'enable_application',
				'type' => 'true_false',
				'instructions' => 'Enable application',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_53037dba0e3a5',
							'operator' => '==',
							'value' => '',
						),
					),
					'allorany' => 'all',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52dd5d5576cdc',
				'label' => 'Application',
				'name' => 'application',
				'type' => 'file',
				'instructions' => 'The downloadable file for the application',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_53037dba0e3a5',
							'operator' => '==',
							'value' => 'file',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'library' => 'all',
			),
			array (
				'key' => 'field_53037dfd4f31c',
				'label' => 'Application URL',
				'name' => 'application_url',
				'type' => 'text',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_53037dba0e3a5',
							'operator' => '==',
							'value' => 'url',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 'http://',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52dd5dd876cdd',
				'label' => 'Application Title',
				'name' => 'application_title',
				'type' => 'text',
				'instructions' => 'The application title',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52dd5df476cde',
				'label' => 'Application Description',
				'name' => 'application_description',
				'type' => 'textarea',
				'instructions' => 'The application description',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => 'br',
			),
			array (
				'key' => 'field_52dfd78e9c3e2',
				'label' => 'Application Icon',
				'name' => 'application_icon',
				'type' => 'select',
				'instructions' => 'Select the application Icon',
				'choices' => array (
					'none' => 'none',
					'fa-glass' => '&#xf000;',
					'fa-music' => '&#xf001;',
					'fa-search' => '&#xf002;',
					'fa-envelope-o' => '&#xf003;',
					'fa-heart' => '&#xf004;',
					'fa-star' => '&#xf005;',
					'fa-star-o' => '&#xf006;',
					'fa-user' => '&#xf007;',
					'fa-film' => '&#xf008;',
					'fa-th-large' => '&#xf009;',
					'fa-th' => '&#xf00a;',
					'fa-th-list' => '&#xf00b;',
					'fa-check' => '&#xf00c;',
					'fa-times' => '&#xf00d;',
					'fa-search-plus' => '&#xf00e;',
					'fa-search-minus' => '&#xf010;',
					'fa-power-off' => '&#xf011;',
					'fa-signal' => '&#xf012;',
					'fa-cog' => '&#xf013;',
					'fa-trash-o' => '&#xf014;',
					'fa-home' => '&#xf015;',
					'fa-file-o' => '&#xf016;',
					'fa-clock-o' => '&#xf017;',
					'fa-road' => '&#xf018;',
					'fa-download' => '&#xf019;',
					'fa-arrow-circle-o-down' => '&#xf01a;',
					'fa-arrow-circle-o-up' => '&#xf01b;',
					'fa-inbox' => '&#xf01c;',
					'fa-play-circle-o' => '&#xf01d;',
					'fa-repeat' => '&#xf01e;',
					'fa-refresh' => '&#xf021;',
					'fa-list-alt' => '&#xf022;',
					'fa-lock' => '&#xf023;',
					'fa-flag' => '&#xf024;',
					'fa-headphones' => '&#xf025;',
					'fa-volume-off' => '&#xf026;',
					'fa-volume-down' => '&#xf027;',
					'fa-volume-up' => '&#xf028;',
					'fa-qrcode' => '&#xf029;',
					'fa-barcode' => '&#xf02a;',
					'fa-tag' => '&#xf02b;',
					'fa-tags' => '&#xf02c;',
					'fa-book' => '&#xf02d;',
					'fa-bookmark' => '&#xf02e;',
					'fa-print' => '&#xf02f;',
					'fa-camera' => '&#xf030;',
					'fa-font' => '&#xf031;',
					'fa-bold' => '&#xf032;',
					'fa-italic' => '&#xf033;',
					'fa-text-height' => '&#xf034;',
					'fa-text-width' => '&#xf035;',
					'fa-align-left' => '&#xf036;',
					'fa-align-center' => '&#xf037;',
					'fa-align-right' => '&#xf038;',
					'fa-align-justify' => '&#xf039;',
					'fa-list' => '&#xf03a;',
					'fa-outdent' => '&#xf03b;',
					'fa-indent' => '&#xf03c;',
					'fa-video-camera' => '&#xf03d;',
					'fa-picture-o' => '&#xf03e;',
					'fa-pencil' => '&#xf040;',
					'fa-map-marker' => '&#xf041;',
					'fa-adjust' => '&#xf042;',
					'fa-tint' => '&#xf043;',
					'fa-pencil-square-o' => '&#xf044;',
					'fa-share-square-o' => '&#xf045;',
					'fa-check-square-o' => '&#xf046;',
					'fa-arrows' => '&#xf047;',
					'fa-step-backward' => '&#xf048;',
					'fa-fast-backward' => '&#xf049;',
					'fa-backward' => '&#xf04a;',
					'fa-play' => '&#xf04b;',
					'fa-pause' => '&#xf04c;',
					'fa-stop' => '&#xf04d;',
					'fa-forward' => '&#xf04e;',
					'fa-fast-forward' => '&#xf050;',
					'fa-step-forward' => '&#xf051;',
					'fa-eject' => '&#xf052;',
					'fa-chevron-left' => '&#xf053;',
					'fa-chevron-right' => '&#xf054;',
					'fa-plus-circle' => '&#xf055;',
					'fa-minus-circle' => '&#xf056;',
					'fa-times-circle' => '&#xf057;',
					'fa-check-circle' => '&#xf058;',
					'fa-question-circle' => '&#xf059;',
					'fa-info-circle' => '&#xf05a;',
					'fa-crosshairs' => '&#xf05b;',
					'fa-times-circle-o' => '&#xf05c;',
					'fa-check-circle-o' => '&#xf05d;',
					'fa-ban' => '&#xf05e;',
					'fa-arrow-left' => '&#xf060;',
					'fa-arrow-right' => '&#xf061;',
					'fa-arrow-up' => '&#xf062;',
					'fa-arrow-down' => '&#xf063;',
					'fa-share' => '&#xf064;',
					'fa-expand' => '&#xf065;',
					'fa-compress' => '&#xf066;',
					'fa-plus' => '&#xf067;',
					'fa-minus' => '&#xf068;',
					'fa-asterisk' => '&#xf069;',
					'fa-exclamation-circle' => '&#xf06a;',
					'fa-gift' => '&#xf06b;',
					'fa-leaf' => '&#xf06c;',
					'fa-fire' => '&#xf06d;',
					'fa-eye' => '&#xf06e;',
					'fa-eye-slash' => '&#xf070;',
					'fa-exclamation-triangle' => '&#xf071;',
					'fa-plane' => '&#xf072;',
					'fa-calendar' => '&#xf073;',
					'fa-random' => '&#xf074;',
					'fa-comment' => '&#xf075;',
					'fa-magnet' => '&#xf076;',
					'fa-chevron-up' => '&#xf077;',
					'fa-chevron-down' => '&#xf078;',
					'fa-retweet' => '&#xf079;',
					'fa-shopping-cart' => '&#xf07a;',
					'fa-folder' => '&#xf07b;',
					'fa-folder-open' => '&#xf07c;',
					'fa-arrows-v' => '&#xf07d;',
					'fa-arrows-h' => '&#xf07e;',
					'fa-bar-chart-o' => '&#xf080;',
					'fa-twitter-square' => '&#xf081;',
					'fa-facebook-square' => '&#xf082;',
					'fa-camera-retro' => '&#xf083;',
					'fa-key' => '&#xf084;',
					'fa-cogs' => '&#xf085;',
					'fa-comments' => '&#xf086;',
					'fa-thumbs-o-up' => '&#xf087;',
					'fa-thumbs-o-down' => '&#xf088;',
					'fa-star-half' => '&#xf089;',
					'fa-heart-o' => '&#xf08a;',
					'fa-sign-out' => '&#xf08b;',
					'fa-linkedin-square' => '&#xf08c;',
					'fa-thumb-tack' => '&#xf08d;',
					'fa-external-link' => '&#xf08e;',
					'fa-sign-in' => '&#xf090;',
					'fa-trophy' => '&#xf091;',
					'fa-github-square' => '&#xf092;',
					'fa-upload' => '&#xf093;',
					'fa-lemon-o' => '&#xf094;',
					'fa-phone' => '&#xf095;',
					'fa-square-o' => '&#xf096;',
					'fa-bookmark-o' => '&#xf097;',
					'fa-phone-square' => '&#xf098;',
					'fa-twitter' => '&#xf099;',
					'fa-facebook' => '&#xf09a;',
					'fa-github' => '&#xf09b;',
					'fa-unlock' => '&#xf09c;',
					'fa-credit-card' => '&#xf09d;',
					'fa-rss' => '&#xf09e;',
					'fa-hdd-o' => '&#xf0a0;',
					'fa-bullhorn' => '&#xf0a1;',
					'fa-bell' => '&#xf0f3;',
					'fa-certificate' => '&#xf0a3;',
					'fa-hand-o-right' => '&#xf0a4;',
					'fa-hand-o-left' => '&#xf0a5;',
					'fa-hand-o-up' => '&#xf0a6;',
					'fa-hand-o-down' => '&#xf0a7;',
					'fa-arrow-circle-left' => '&#xf0a8;',
					'fa-arrow-circle-right' => '&#xf0a9;',
					'fa-arrow-circle-up' => '&#xf0aa;',
					'fa-arrow-circle-down' => '&#xf0ab;',
					'fa-globe' => '&#xf0ac;',
					'fa-wrench' => '&#xf0ad;',
					'fa-tasks' => '&#xf0ae;',
					'fa-filter' => '&#xf0b0;',
					'fa-briefcase' => '&#xf0b1;',
					'fa-arrows-alt' => '&#xf0b2;',
					'fa-users' => '&#xf0c0;',
					'fa-link' => '&#xf0c1;',
					'fa-cloud' => '&#xf0c2;',
					'fa-flask' => '&#xf0c3;',
					'fa-scissors' => '&#xf0c4;',
					'fa-files-o' => '&#xf0c5;',
					'fa-paperclip' => '&#xf0c6;',
					'fa-floppy-o' => '&#xf0c7;',
					'fa-square' => '&#xf0c8;',
					'fa-bars' => '&#xf0c9;',
					'fa-list-ul' => '&#xf0ca;',
					'fa-list-ol' => '&#xf0cb;',
					'fa-strikethrough' => '&#xf0cc;',
					'fa-underline' => '&#xf0cd;',
					'fa-table' => '&#xf0ce;',
					'fa-magic' => '&#xf0d0;',
					'fa-truck' => '&#xf0d1;',
					'fa-pinterest' => '&#xf0d2;',
					'fa-pinterest-square' => '&#xf0d3;',
					'fa-google-plus-square' => '&#xf0d4;',
					'fa-google-plus' => '&#xf0d5;',
					'fa-money' => '&#xf0d6;',
					'fa-caret-down' => '&#xf0d7;',
					'fa-caret-up' => '&#xf0d8;',
					'fa-caret-left' => '&#xf0d9;',
					'fa-caret-right' => '&#xf0da;',
					'fa-columns' => '&#xf0db;',
					'fa-sort' => '&#xf0dc;',
					'fa-sort-asc' => '&#xf0dd;',
					'fa-sort-desc' => '&#xf0de;',
					'fa-envelope' => '&#xf0e0;',
					'fa-linkedin' => '&#xf0e1;',
					'fa-undo' => '&#xf0e2;',
					'fa-gavel' => '&#xf0e3;',
					'fa-tachometer' => '&#xf0e4;',
					'fa-comment-o' => '&#xf0e5;',
					'fa-comments-o' => '&#xf0e6;',
					'fa-bolt' => '&#xf0e7;',
					'fa-sitemap' => '&#xf0e8;',
					'fa-umbrella' => '&#xf0e9;',
					'fa-clipboard' => '&#xf0ea;',
					'fa-lightbulb-o' => '&#xf0eb;',
					'fa-exchange' => '&#xf0ec;',
					'fa-cloud-download' => '&#xf0ed;',
					'fa-cloud-upload' => '&#xf0ee;',
					'fa-user-md' => '&#xf0f0;',
					'fa-stethoscope' => '&#xf0f1;',
					'fa-suitcase' => '&#xf0f2;',
					'fa-bell-o' => '&#xf0a2;',
					'fa-coffee' => '&#xf0f4;',
					'fa-cutlery' => '&#xf0f5;',
					'fa-file-text-o' => '&#xf0f6;',
					'fa-building-o' => '&#xf0f7;',
					'fa-hospital-o' => '&#xf0f8;',
					'fa-ambulance' => '&#xf0f9;',
					'fa-medkit' => '&#xf0fa;',
					'fa-fighter-jet' => '&#xf0fb;',
					'fa-beer' => '&#xf0fc;',
					'fa-h-square' => '&#xf0fd;',
					'fa-plus-square' => '&#xf0fe;',
					'fa-angle-double-left' => '&#xf100;',
					'fa-angle-double-right' => '&#xf101;',
					'fa-angle-double-up' => '&#xf102;',
					'fa-angle-double-down' => '&#xf103;',
					'fa-angle-left' => '&#xf104;',
					'fa-angle-right' => '&#xf105;',
					'fa-angle-up' => '&#xf106;',
					'fa-angle-down' => '&#xf107;',
					'fa-desktop' => '&#xf108;',
					'fa-laptop' => '&#xf109;',
					'fa-tablet' => '&#xf10a;',
					'fa-mobile' => '&#xf10b;',
					'fa-circle-o' => '&#xf10c;',
					'fa-quote-left' => '&#xf10d;',
					'fa-quote-right' => '&#xf10e;',
					'fa-spinner' => '&#xf110;',
					'fa-circle' => '&#xf111;',
					'fa-reply' => '&#xf112;',
					'fa-github-alt' => '&#xf113;',
					'fa-folder-o' => '&#xf114;',
					'fa-folder-open-o' => '&#xf115;',
					'fa-smile-o' => '&#xf118;',
					'fa-frown-o' => '&#xf119;',
					'fa-meh-o' => '&#xf11a;',
					'fa-gamepad' => '&#xf11b;',
					'fa-keyboard-o' => '&#xf11c;',
					'fa-flag-o' => '&#xf11d;',
					'fa-flag-checkered' => '&#xf11e;',
					'fa-terminal' => '&#xf120;',
					'fa-code' => '&#xf121;',
					'fa-reply-all' => '&#xf122;',
					'fa-mail-reply-all' => '&#xf122;',
					'fa-star-half-o' => '&#xf123;',
					'fa-location-arrow' => '&#xf124;',
					'fa-crop' => '&#xf125;',
					'fa-code-fork' => '&#xf126;',
					'fa-chain-broken' => '&#xf127;',
					'fa-question' => '&#xf128;',
					'fa-info' => '&#xf129;',
					'fa-exclamation' => '&#xf12a;',
					'fa-superscript' => '&#xf12b;',
					'fa-subscript' => '&#xf12c;',
					'fa-eraser' => '&#xf12d;',
					'fa-puzzle-piece' => '&#xf12e;',
					'fa-microphone' => '&#xf130;',
					'fa-microphone-slash' => '&#xf131;',
					'fa-shield' => '&#xf132;',
					'fa-calendar-o' => '&#xf133;',
					'fa-fire-extinguisher' => '&#xf134;',
					'fa-rocket' => '&#xf135;',
					'fa-maxcdn' => '&#xf136;',
					'fa-chevron-circle-left' => '&#xf137;',
					'fa-chevron-circle-right' => '&#xf138;',
					'fa-chevron-circle-up' => '&#xf139;',
					'fa-chevron-circle-down' => '&#xf13a;',
					'fa-html5' => '&#xf13b;',
					'fa-css3' => '&#xf13c;',
					'fa-anchor' => '&#xf13d;',
					'fa-unlock-alt' => '&#xf13e;',
					'fa-bullseye' => '&#xf140;',
					'fa-ellipsis-h' => '&#xf141;',
					'fa-ellipsis-v' => '&#xf142;',
					'fa-rss-square' => '&#xf143;',
					'fa-play-circle' => '&#xf144;',
					'fa-ticket' => '&#xf145;',
					'fa-minus-square' => '&#xf146;',
					'fa-minus-square-o' => '&#xf147;',
					'fa-level-up' => '&#xf148;',
					'fa-level-down' => '&#xf149;',
					'fa-check-square' => '&#xf14a;',
					'fa-pencil-square' => '&#xf14b;',
					'fa-external-link-square' => '&#xf14c;',
					'fa-share-square' => '&#xf14d;',
					'fa-compass' => '&#xf14e;',
					'fa-caret-square-o-down' => '&#xf150;',
					'fa-caret-square-o-up' => '&#xf151;',
					'fa-caret-square-o-right' => '&#xf152;',
					'fa-eur' => '&#xf153;',
					'fa-gbp' => '&#xf154;',
					'fa-usd' => '&#xf155;',
					'fa-inr' => '&#xf156;',
					'fa-jpy' => '&#xf157;',
					'fa-rub' => '&#xf158;',
					'fa-krw' => '&#xf159;',
					'fa-btc' => '&#xf15a;',
					'fa-file' => '&#xf15b;',
					'fa-file-text' => '&#xf15c;',
					'fa-sort-alpha-asc' => '&#xf15d;',
					'fa-sort-alpha-desc' => '&#xf15e;',
					'fa-sort-amount-asc' => '&#xf160;',
					'fa-sort-amount-desc' => '&#xf161;',
					'fa-sort-numeric-asc' => '&#xf162;',
					'fa-sort-numeric-desc' => '&#xf163;',
					'fa-thumbs-up' => '&#xf164;',
					'fa-thumbs-down' => '&#xf165;',
					'fa-youtube-square' => '&#xf166;',
					'fa-youtube' => '&#xf167;',
					'fa-xing' => '&#xf168;',
					'fa-xing-square' => '&#xf169;',
					'fa-youtube-play' => '&#xf16a;',
					'fa-dropbox' => '&#xf16b;',
					'fa-stack-overflow' => '&#xf16c;',
					'fa-instagram' => '&#xf16d;',
					'fa-flickr' => '&#xf16e;',
					'fa-adn' => '&#xf170;',
					'fa-bitbucket' => '&#xf171;',
					'fa-bitbucket-square' => '&#xf172;',
					'fa-tumblr' => '&#xf173;',
					'fa-tumblr-square' => '&#xf174;',
					'fa-long-arrow-down' => '&#xf175;',
					'fa-long-arrow-up' => '&#xf176;',
					'fa-long-arrow-left' => '&#xf177;',
					'fa-long-arrow-right' => '&#xf178;',
					'fa-apple' => '&#xf179;',
					'fa-windows' => '&#xf17a;',
					'fa-android' => '&#xf17b;',
					'fa-linux' => '&#xf17c;',
					'fa-dribbble' => '&#xf17d;',
					'fa-skype' => '&#xf17e;',
					'fa-foursquare' => '&#xf180;',
					'fa-trello' => '&#xf181;',
					'fa-female' => '&#xf182;',
					'fa-male' => '&#xf183;',
					'fa-gittip' => '&#xf184;',
					'fa-sun-o' => '&#xf185;',
					'fa-moon-o' => '&#xf186;',
					'fa-archive' => '&#xf187;',
					'fa-bug' => '&#xf188;',
					'fa-vk' => '&#xf189;',
					'fa-weibo' => '&#xf18a;',
					'fa-renren' => '&#xf18b;',
					'fa-pagelines' => '&#xf18c;',
					'fa-stack-exchange' => '&#xf18d;',
					'fa-arrow-circle-o-right' => '&#xf18e;',
					'fa-arrow-circle-o-left' => '&#xf190;',
					'fa-caret-square-o-left' => '&#xf191;',
					'fa-dot-circle-o' => '&#xf192;',
					'fa-wheelchair' => '&#xf193;',
					'fa-vimeo-square' => '&#xf194;',
					'fa-try' => '&#xf195;',
					'fa-plus-square-o' => '&#xf196;',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-aboutUs.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_audio-post',
		'title' => 'Audio Post',
		'fields' => array (
			array (
				'key' => 'field_52f2626a9966f',
				'label' => 'Audio Type',
				'name' => 'audio_type',
				'type' => 'radio',
				'instructions' => 'Choose the audio type',
				'choices' => array (
					'url' => 'URL',
					'selfhosted' => 'Self Hosted',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'url',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52f2629799670',
				'label' => 'Audio Title',
				'name' => 'audio_title',
				'type' => 'text',
				'instructions' => 'Add the audio title',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f262bf99671',
				'label' => 'URL',
				'name' => 'url',
				'type' => 'text',
				'instructions' => 'Add the url',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f2626a9966f',
							'operator' => '==',
							'value' => 'url',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 'http://',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f262d499672',
				'label' => 'Audio File',
				'name' => 'audio_file',
				'type' => 'file',
				'instructions' => 'Add the audio file',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f2626a9966f',
							'operator' => '==',
							'value' => 'selfhosted',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'audio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_clients',
		'title' => 'Clients',
		'fields' => array (
			array (
				'key' => 'field_52de615fcd2da',
				'label' => 'Clients',
				'name' => 'clients',
				'type' => 'repeater',
				'instructions' => 'Add the clients that you work with',
				'sub_fields' => array (
					array (
						'key' => 'field_52de619ecd2db',
						'label' => 'Logo',
						'name' => 'logo',
						'type' => 'image',
						'instructions' => 'The client\'s logo',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52de61aecd2dc',
						'label' => 'Url',
						'name' => 'url',
						'type' => 'text',
						'instructions' => 'Link to the client',
						'column_width' => '',
						'default_value' => 'http://',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52de621ccd2dd',
						'label' => 'Name',
						'name' => 'name',
						'type' => 'text',
						'instructions' => 'Clients Name',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52de623fcd2de',
						'label' => 'Clients Slogan',
						'name' => 'clients_slogan',
						'type' => 'text',
						'instructions' => 'Clients	Description (Type)',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Client',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-clients.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_contact',
		'title' => 'Contact',
		'fields' => array (
			array (
				'key' => 'field_52f10ad4be996',
				'label' => 'Map',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52f10a3cbe993',
				'label' => 'Google Map',
				'name' => 'google_map',
				'type' => 'googlemap',
				'instructions' => 'Use Google Map to display your current location',
			),
			array (
				'key' => 'field_52f10a9dbe994',
				'label' => 'Map Zoom',
				'name' => 'map_zoom',
				'type' => 'number',
				'instructions' => 'Zoom level of the map',
				'default_value' => 5,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 19,
				'step' => '',
			),
			array (
				'key' => 'field_52f10ac4be995',
				'label' => 'Disable Map',
				'name' => 'disable_map',
				'type' => 'true_false',
				'instructions' => 'Disables the google map',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_533029c31c41c',
				'label' => 'Disable Map zoom',
				'name' => 'disable_map_zoom',
				'type' => 'true_false',
				'instructions' => 'Check to disable scroll zoom in google map',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52f10aedbe997',
				'label' => 'Details',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52f10b32be99b',
				'label' => 'Info Title',
				'name' => 'info_title',
				'type' => 'text',
				'instructions' => 'Add the information section title',
				'default_value' => 'Details',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10af7be998',
				'label' => 'Info Details',
				'name' => 'info_details',
				'type' => 'repeater',
				'instructions' => 'Add information to the contact page',
				'sub_fields' => array (
					array (
						'key' => 'field_52f10b14be999',
						'label' => 'Title',
						'name' => 'title',
						'type' => 'text',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52f10b22be99a',
						'label' => 'Content',
						'name' => 'content',
						'type' => 'wysiwyg',
						'column_width' => '',
						'default_value' => '',
						'toolbar' => 'full',
						'media_upload' => 'yes',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'table',
				'button_label' => 'Add info',
			),
			array (
				'key' => 'field_52f10b44be99c',
				'label' => 'Contact form',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52f10b71be99d',
				'label' => 'Email Receiver',
				'name' => 'email_receiver',
				'type' => 'text',
				'instructions' => 'Add the contact form receiver email',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10b8abe99e',
				'label' => 'Success Message',
				'name' => 'success_message',
				'type' => 'text',
				'instructions' => 'Add the success message',
				'default_value' => 'The message has been sent!',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10ba3be99f',
				'label' => 'Failed Message',
				'name' => 'failed_message',
				'type' => 'text',
				'instructions' => 'Add the Failed Message',
				'default_value' => 'Sorry, the message was not sent. Please try again later!',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10babbe9a0',
				'label' => 'Contact Form Name',
				'name' => 'contact_form_name',
				'type' => 'text',
				'instructions' => 'Add the contact form name',
				'default_value' => 'Contact',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10bc4be9a1',
				'label' => 'Full Name Label',
				'name' => 'full_name_label',
				'type' => 'text',
				'instructions' => 'Add the Full Name Label',
				'default_value' => 'Name',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10becbe9a2',
				'label' => 'Email Label',
				'name' => 'email_label',
				'type' => 'text',
				'instructions' => 'Add the Email label',
				'default_value' => 'Email',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10c04be9a3',
				'label' => 'Message Box Label',
				'name' => 'message_box_label',
				'type' => 'text',
				'instructions' => 'Add the message box label',
				'default_value' => 'Message',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10c38be9a4',
				'label' => 'Reset Button Label',
				'name' => 'reset_button_label',
				'type' => 'text',
				'instructions' => 'Add the reset button label',
				'default_value' => 'Reset',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f10c47be9a5',
				'label' => 'Submit Button Label',
				'name' => 'submit_button_label',
				'type' => 'text',
				'instructions' => 'Add the submit button label',
				'default_value' => 'Submit',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-contact.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_footer',
		'title' => 'Footer',
		'fields' => array (
			array (
				'key' => 'field_52dfdbea62685',
				'label' => 'Social Networks',
				'name' => 'social_networks',
				'type' => 'repeater',
				'instructions' => 'Add social networks',
				'sub_fields' => array (
					array (
						'key' => 'field_52dfdc1862686',
						'label' => 'Network',
						'name' => 'network',
						'type' => 'select',
						'instructions' => 'Select the network',
						'column_width' => '',
						'choices' => array (
							'fa-apple' => 'apple',
							'fa-android' => 'android',
							'fa-flickr' => 'flickr',
							'fa-facebook' => 'facebook',
							'fa-foursquare' => 'foursquare',
							'fa-google-plus' => 'google plus',
							'fa-dribbble' => 'dribbble',
							'fa-linkedin' => 'linkedin',
							'fa-pinterest' => 'pinterest',
							'fa-tumblr' => 'tumblr',
							'fa-youtube' => 'youtube',
							'fa-twitter' => 'twitter',
							'fa-vimeo-square' => 'vimeo',
							'fa-skype' => 'skype',
							'fa-windows' => 'windows',
							'fa-instagram' => 'instagram',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
					array (
						'key' => 'field_52dfdc7362687',
						'label' => 'Url',
						'name' => 'url',
						'type' => 'text',
						'instructions' => 'The url to the network',
						'column_width' => '',
						'default_value' => 'http://',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'table',
				'button_label' => 'Add Network',
			),
			array (
				'key' => 'field_52dfdc9e64e9a',
				'label' => 'Footer Text Part 1',
				'name' => 'footer_text_part_1',
				'type' => 'wysiwyg',
				'instructions' => 'Add footer text',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
			array (
				'key' => 'field_52dfdcd164e9b',
				'label' => 'Footer Text Part 2',
				'name' => 'footer_text_part_2',
				'type' => 'wysiwyg',
				'instructions' => 'Add Footer text',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'acf-options-footer',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_header',
		'title' => 'Header',
		'fields' => array (
			array (
				'key' => 'field_52e119d3fb8d4',
				'label' => 'Logo',
				'name' => 'logo',
				'type' => 'radio',
				'instructions' => 'Select the logo type',
				'choices' => array (
					'image' => 'Image',
					'text' => 'Text',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'image',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52e11a22fb8d5',
				'label' => 'Image Logo',
				'name' => 'image_logo',
				'type' => 'image',
				'instructions' => 'The logo as image',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_52e11a4bfb8d6',
				'label' => 'Text Logo',
				'name' => 'text_logo',
				'type' => 'text',
				'instructions' => 'The logo as text',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'text',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52e11a6dfb8d7',
				'label' => 'Logo Slogan',
				'name' => 'logo_slogan',
				'type' => 'text',
				'instructions' => 'The slogan of the logo',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'text',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52e11aa6fb8d8',
				'label' => 'Logo Font',
				'name' => 'logo_font',
				'type' => 'googlefonts',
				'instructions' => 'Select the logo font',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'text',
						),
					),
					'allorany' => 'all',
				),
			),
			array (
				'key' => 'field_52e12ac923a1f',
				'label' => 'Logo size',
				'name' => 'logo_size',
				'type' => 'number',
				'instructions' => 'Add the logo size',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'text',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 42,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => '',
			),
			array (
				'key' => 'field_52e11acafb8d9',
				'label' => 'Logo Color',
				'name' => 'logo_color',
				'type' => 'color_picker',
				'instructions' => 'Select the Logo color',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52e119d3fb8d4',
							'operator' => '==',
							'value' => 'text',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '#000000',
			),
			array (
				'key' => 'field_52e1196cfb8d3',
				'label' => 'Favicon',
				'name' => 'site_favicon',
				'type' => 'image',
				'instructions' => 'Add the site\'s favicon',
				'save_format' => 'url',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'acf-options-header',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_home-box',
		'title' => 'Home Box',
		'fields' => array (
			array (
				'key' => 'field_52d6a5dab24a1',
				'label' => 'Box Slider',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52d6a5f0b24a2',
				'label' => 'Box Slider',
				'name' => 'box_slider',
				'type' => 'repeater',
				'instructions' => 'Add bucket to slider',
				'sub_fields' => array (
					array (
						'key' => 'field_52d6a73ab24a7',
						'label' => 'Url',
						'name' => 'url',
						'type' => 'text',
						'instructions' => 'Add hyperlink',
						'column_width' => '',
						'default_value' => 'http://',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52d6a647b24a3',
						'label' => 'Title',
						'name' => 'title',
						'type' => 'text',
						'instructions' => 'Add Title',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52d6a653b24a4',
						'label' => 'Content',
						'name' => 'content',
						'type' => 'limiter',
						'instructions' => 'Add Content <br> <b>Note: Character limit : 200</b>',
						'column_width' => '',
						'character_number' => 200,
						'displayCount' => 1,
					),
					array (
						'key' => 'field_52d6a6bbb24a5',
						'label' => 'Image',
						'name' => 'image',
						'type' => 'image',
						'instructions' => 'Add image',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52d6a6d3b24a6',
						'label' => 'Color',
						'name' => 'color',
						'type' => 'color_picker',
						'instructions' => 'Add color <br><b>Note: Do not use white (#ffffff)</b>',
						'column_width' => '',
						'default_value' => '#001926',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Bucket',
			),
			array (
				'key' => 'field_52d6a530b249e',
				'label' => 'Intro Text',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52d6a547b249f',
				'label' => 'Intro Title',
				'name' => 'intro_title',
				'type' => 'text',
				'instructions' => 'Add the intro title',
				'default_value' => 'Welcome',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52d6a591b24a0',
				'label' => 'Intro Slogan',
				'name' => 'intro_slogan',
				'type' => 'textarea',
				'instructions' => 'Add the intro slogan',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => 'br',
			),
			array (
				'key' => 'field_52fe0c100418c',
				'label' => 'Overlay',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52fe0c180418d',
				'label' => 'Overlay Percentage',
				'name' => 'overlay_percentage',
				'type' => 'number',
				'default_value' => 20,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => '',
			),
			array (
				'key' => 'field_52fe0c370418e',
				'label' => 'Overlay Color',
				'name' => 'overlay_color',
				'type' => 'color_picker',
				'default_value' => '#000000',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-home_box.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_home-fancy',
		'title' => 'Home Fancy',
		'fields' => array (
			array (
				'key' => 'field_52fcc4e0ead7e',
				'label' => 'Transparent',
				'name' => 'transparent',
				'type' => 'true_false',
				'instructions' => 'Make Header and Footer Transparent',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52e95a71e2f0e',
				'label' => 'Auto play',
				'name' => 'auto_play',
				'type' => 'true_false',
				'instructions' => 'Check for auto-play',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52e95a9de2f0f',
				'label' => 'Slider',
				'name' => 'slider',
				'type' => 'repeater',
				'instructions' => 'Use "Add slider item" to add slides',
				'sub_fields' => array (
					array (
						'key' => 'field_52e95ae5e2f10',
						'label' => 'Image',
						'name' => 'image',
						'type' => 'image',
						'instructions' => 'Add image',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52fb8722f7233',
						'label' => 'Overlay Percentage',
						'name' => 'overlay_percentage',
						'type' => 'number',
						'column_width' => '',
						'default_value' => 20,
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'min' => 0,
						'max' => 100,
						'step' => '',
					),
					array (
						'key' => 'field_52fb873ef7234',
						'label' => 'Overlay Color',
						'name' => 'overlay_color',
						'type' => 'color_picker',
						'column_width' => '',
						'default_value' => '#000000',
					),
					array (
						'key' => 'field_52e95b16e2f11',
						'label' => 'Title',
						'name' => 'title',
						'type' => 'text',
						'instructions' => 'Add the title',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52e95b2fe2f12',
						'label' => 'Content',
						'name' => 'content',
						'type' => 'textarea',
						'instructions' => 'Add the content',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'maxlength' => '',
						'formatting' => 'br',
					),
					array (
						'key' => 'field_52e95b49e2f13',
						'label' => 'Url',
						'name' => 'url',
						'type' => 'text',
						'instructions' => 'Add the link',
						'column_width' => '',
						'default_value' => 'http://',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add slider item',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-home_fancy.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_home-slider',
		'title' => 'Home slider',
		'fields' => array (
			array (
				'key' => 'field_52e917d7f3845',
				'label' => 'Full screen slider',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52e919b4f384d',
				'label' => 'Auto Play',
				'name' => 'auto_play',
				'type' => 'true_false',
				'instructions' => 'Check for auto-play slider',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52e92b5487ca8',
				'label' => 'Slider Effect',
				'name' => 'slider_effect',
				'type' => 'select',
				'instructions' => 'Select the sliders effect',
				'choices' => array (
					'fade' => 'Fade',
					'slide' => 'Slide',
				),
				'default_value' => 'fade',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_52e917e5f3846',
				'label' => 'Slider',
				'name' => 'slider',
				'type' => 'repeater',
				'instructions' => 'Use "Add slide Item" to add items',
				'sub_fields' => array (
					array (
						'key' => 'field_52e91822f3847',
						'label' => 'Image',
						'name' => 'image',
						'type' => 'image',
						'instructions' => 'Add the image',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52fb868c17151',
						'label' => 'Overlay Percantage',
						'name' => 'overlay_percantage',
						'type' => 'number',
						'column_width' => '',
						'default_value' => 20,
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'min' => 0,
						'max' => 100,
						'step' => '',
					),
					array (
						'key' => 'field_52fb86af17152',
						'label' => 'Overlay Color',
						'name' => 'overlay_color',
						'type' => 'color_picker',
						'column_width' => '',
						'default_value' => '#0000000',
					),
					array (
						'key' => 'field_52e91882f3848',
						'label' => 'Content',
						'name' => 'content',
						'type' => 'wysiwyg',
						'instructions' => 'The content',
						'column_width' => '',
						'default_value' => '',
						'toolbar' => 'full',
						'media_upload' => 'no',
					),
					array (
						'key' => 'field_52e91936f3849',
						'label' => 'Content Effect',
						'name' => 'content_effect',
						'type' => 'select',
						'instructions' => 'select effect',
						'column_width' => '',
						'choices' => array (
							'none' => 'none',
							'flash' => 'flash',
							'bounce' => 'bounce',
							'shake' => 'shake',
							'tada' => 'tada',
							'swing' => 'swing',
							'wobble' => 'wobble',
							'pulse' => 'pulse',
							'flip' => 'flip',
							'flipInX' => 'flipInX',
							'flipInY' => 'flipInY',
							'fadeIn' => 'fadeIn',
							'fadeInUp' => 'fadeInUp',
							'fadeInDown' => 'fadeInDown',
							'fadeInLeft' => 'fadeInLeft',
							'fadeInRight' => 'fadeInRight',
							'fadeInUpBig' => 'fadeInUpBig',
							'fadeInDownBig' => 'fadeInDownBig',
							'fadeInLeftBig' => 'fadeInLeftBig',
							'fadeInRightBig' => 'fadeInRightBig',
							'bounceIn' => 'bounceIn',
							'bounceInDown' => 'bounceInDown',
							'bounceInUp' => 'bounceInUp',
							'bounceInLeft' => 'bounceInLeft',
							'bounceInRight' => 'bounceInRight',
							'rotateIn' => 'rotateIn',
							'rotateInDownLeft' => 'rotateInDownLeft',
							'rotateInDownRight' => 'rotateInDownRight',
							'rotateInUpLeft' => 'rotateInUpLeft',
							'rotateInUpRight' => 'rotateInUpRight',
							'lightSpeedIn' => 'lightSpeedIn',
							'rollIn' => 'rollIn',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
					array (
						'key' => 'field_52e9195df384a',
						'label' => 'Button Text',
						'name' => 'button_text',
						'type' => 'text',
						'instructions' => 'Add the Button text value',
						'column_width' => '',
						'default_value' => 'More',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52e91985f384b',
						'label' => 'Button Url',
						'name' => 'button_url',
						'type' => 'text',
						'instructions' => 'Add the button url',
						'column_width' => '',
						'default_value' => 'http://',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52e9199af384c',
						'label' => 'Button Effect',
						'name' => 'button_effect',
						'type' => 'select',
						'instructions' => 'select the effect',
						'column_width' => '',
						'choices' => array (
							'none' => 'none',
							'flash' => 'flash',
							'bounce' => 'bounce',
							'shake' => 'shake',
							'tada' => 'tada',
							'swing' => 'swing',
							'wobble' => 'wobble',
							'pulse' => 'pulse',
							'flip' => 'flip',
							'flipInX' => 'flipInX',
							'flipInY' => 'flipInY',
							'fadeIn' => 'fadeIn',
							'fadeInUp' => 'fadeInUp',
							'fadeInDown' => 'fadeInDown',
							'fadeInLeft' => 'fadeInLeft',
							'fadeInRight' => 'fadeInRight',
							'fadeInUpBig' => 'fadeInUpBig',
							'fadeInDownBig' => 'fadeInDownBig',
							'fadeInLeftBig' => 'fadeInLeftBig',
							'fadeInRightBig' => 'fadeInRightBig',
							'bounceIn' => 'bounceIn',
							'bounceInDown' => 'bounceInDown',
							'bounceInUp' => 'bounceInUp',
							'bounceInLeft' => 'bounceInLeft',
							'bounceInRight' => 'bounceInRight',
							'rotateIn' => 'rotateIn',
							'rotateInDownLeft' => 'rotateInDownLeft',
							'rotateInDownRight' => 'rotateInDownRight',
							'rotateInUpLeft' => 'rotateInUpLeft',
							'rotateInUpRight' => 'rotateInUpRight',
							'lightSpeedIn' => 'lightSpeedIn',
							'rollIn' => 'rollIn',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add slide item',
			),
			array (
				'key' => 'field_52e91a19f384e',
				'label' => 'Footer Content',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52e91ad5f384f',
				'label' => 'Disable Footer Content',
				'name' => 'disable_footer_content',
				'type' => 'true_false',
				'instructions' => 'Check to disable "footer content area"',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52e91afdf3850',
				'label' => 'Latest Blog Title',
				'name' => 'latest_blog_title',
				'type' => 'text',
				'instructions' => 'Add the Latest Blog Label',
				'default_value' => 'Latest Blogs',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52e91b44f3851',
				'label' => 'Paragraph Title',
				'name' => 'paragraph_title',
				'type' => 'text',
				'instructions' => 'Add the paragraph title',
				'default_value' => 'About us',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52e91bbcf3852',
				'label' => 'Paragraph Content',
				'name' => 'paragraph_content',
				'type' => 'wysiwyg',
				'instructions' => 'Add the paragraph content',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'no',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-home_slider.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_home-video',
		'title' => 'Home Video',
		'fields' => array (
			array (
				'key' => 'field_52fa5fd7da8f2',
				'label' => 'Video',
				'name' => 'video',
				'type' => 'radio',
				'choices' => array (
					'youtube' => 'YouTube',
					'vimeo' => 'Vimeo',
					'selfhosted' => 'Self Hosted',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'youtube',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52fa6375da8f3',
				'label' => 'Video ID',
				'name' => 'video_id',
				'type' => 'text',
				'instructions' => 'Add the video ID',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa5fd7da8f2',
							'operator' => '==',
							'value' => 'youtube',
						),
						array (
							'field' => 'field_52fa5fd7da8f2',
							'operator' => '==',
							'value' => 'vimeo',
						),
					),
					'allorany' => 'any',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52fa63a9da8f5',
				'label' => 'Video File',
				'name' => 'video_file',
				'type' => 'file',
				'instructions' => 'Add the video',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa5fd7da8f2',
							'operator' => '==',
							'value' => 'selfhosted',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'library' => 'all',
			),
			array (
				'key' => 'field_52fa63dcda8f6',
				'label' => 'Mute',
				'name' => 'mute',
				'type' => 'true_false',
				'instructions' => 'Check to mute the video
	<br>
	<b>Note : Only works in Self Hosted Videos</b>',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52fa63f8da8f7',
				'label' => 'Overlay',
				'name' => 'overlay',
				'type' => 'number',
				'instructions' => 'Add the overlay.
	Number will be calculated in percatage',
				'default_value' => 20,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => '',
			),
			array (
				'key' => 'field_52fa649cda8f8',
				'label' => 'Overlay color',
				'name' => 'overlay_color',
				'type' => 'color_picker',
				'instructions' => 'The overlay color',
				'default_value' => '#000000',
			),
			array (
				'key' => 'field_52fa64d1da8f9',
				'label' => 'Video Title',
				'name' => 'video_title',
				'type' => 'text',
				'instructions' => 'Add the Video Title',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52fa64e7da8fa',
				'label' => 'Video Content',
				'name' => 'video_content',
				'type' => 'textarea',
				'instructions' => 'Add the video content',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => 'br',
			),
			array (
				'key' => 'field_52fa6510da8fb',
				'label' => 'Read more link',
				'name' => 'read_more_link',
				'type' => 'text',
				'instructions' => 'Add the read more link',
				'default_value' => 'http://',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52fa6527da8fc',
				'label' => 'Read more text',
				'name' => 'read_more_text',
				'type' => 'text',
				'instructions' => 'Add the read more text',
				'default_value' => 'More',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-home_video.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_image-post',
		'title' => 'Image Post',
		'fields' => array (
			array (
				'key' => 'field_52f260e9451c4',
				'label' => 'Add image',
				'name' => 'add_image',
				'type' => 'image',
				'instructions' => 'Add the image',
				'save_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'image',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_main',
		'title' => 'Main',
		'fields' => array (
			array (
				'key' => 'field_52fa2b8275131',
				'label' => 'Branding',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52fa2b9075132',
				'label' => 'Web site font',
				'name' => 'web_site_font',
				'type' => 'googlefonts',
				'instructions' => 'Choose a different font for the website',
			),
			array (
				'key' => 'field_52fa2bd875133',
				'label' => 'Brand Color',
				'name' => 'brand_color',
				'type' => 'color_picker',
				'default_value' => '#e0af62',
			),
			array (
				'key' => 'field_52fa2c1175134',
				'label' => 'Skins',
				'name' => 'skins',
				'type' => 'radio',
				'instructions' => 'Choose skin',
				'choices' => array (
					'light' => 'Light',
					'dark' => 'Dark',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'light',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52fa2cbd75135',
				'label' => 'Background',
				'name' => 'background',
				'type' => 'radio',
				'choices' => array (
					'color' => 'Color',
					'pattern' => 'Pattern',
					'img' => 'Image',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'color',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52fa2cf975136',
				'label' => 'Background Color',
				'name' => 'background_color',
				'type' => 'color_picker',
				'instructions' => 'Choose the background color',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'color',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '#dbdbdb',
			),
			array (
				'key' => 'field_52fa2d5475137',
				'label' => 'Background Patterns',
				'name' => 'background_patterns',
				'type' => 'radio',
				'instructions' => 'Choose a pattern for the background',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'pattern',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array (
					'cubes.png' => 'Cubes',
					'mochaGrunge.png' => 'Mocha Grunge',
					'noisy_grid.png' => 'Noisy',
					'subtle_zebra_3d.png' => 'Zebra',
					'texturetastic_gray.png' => 'Gray',
					'tileable_wood_texture.png' => 'Wood',
					'vichy.png' => 'Vichy',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'cubes',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52fa2e3375138',
				'label' => 'Background Image',
				'name' => 'background_image',
				'type' => 'image',
				'instructions' => 'Add the background image.<br>
	<b>Note: The image should be at least 1366x768 . The position of the image is fixed</b>',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'img',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'id',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_52fa2ee78dbad',
				'label' => 'Gray-scale Image',
				'name' => 'grayscale_image',
				'type' => 'true_false',
				'instructions' => 'Make the background image Gray-scale (Black and white)',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'img',
						),
					),
					'allorany' => 'all',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52fb87bee7546',
				'label' => 'Background overlay percentage',
				'name' => 'background_overlay_percentage',
				'type' => 'number',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'img',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 20,
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'min' => 0,
				'max' => 100,
				'step' => '',
			),
			array (
				'key' => 'field_52fb8800e7547',
				'label' => 'Background overlay color',
				'name' => 'background_overlay_color',
				'type' => 'color_picker',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52fa2cbd75135',
							'operator' => '==',
							'value' => 'img',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '#000000',
			),
			array (
				'key' => 'field_52fa56ad70d5a',
				'label' => 'Social Shares',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52fa56c470d5b',
				'label' => 'Share projects',
				'name' => 'share_projects',
				'type' => 'checkbox',
				'instructions' => 'Share this project in:',
				'choices' => array (
					'facebook' => 'Facebook',
					'twitter' => 'Twitter',
					'google' => 'Google+',
					'pinit' => 'Pin it',
					'linkedin' => 'Linked In',
					'stumbleUpon' => 'Stumble Upon',
				),
				'default_value' => 'facebook
	twitter
	google
	pinit
	linkedin
	stumbleUpon',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52fa2b5d7512f',
				'label' => 'Disable Ajax',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52e29993e0e7d',
				'label' => 'Disable Ajax',
				'name' => 'disable_ajax',
				'type' => 'true_false',
				'instructions' => 'Disable ajax site',
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52fa2b7475130',
				'label' => 'Custom Code',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_52e298dde0e7b',
				'label' => 'Custom Css',
				'name' => 'custom_css',
				'type' => 'textarea',
				'instructions' => 'Add custom css',
				'default_value' => '',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => '',
			),
			array (
				'key' => 'field_52e2994ee0e7c',
				'label' => 'Custom Java-script',
				'name' => 'custom_javascript',
				'type' => 'textarea',
				'instructions' => 'Add custom java-script',
				'default_value' => '',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'acf-options-main',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_services',
		'title' => 'Services',
		'fields' => array (
			array (
				'key' => 'field_52e0022d92ae3',
				'label' => 'Services',
				'name' => 'services',
				'type' => 'repeater',
				'instructions' => 'Add services',
				'sub_fields' => array (
					array (
						'key' => 'field_52e0025592ae4',
						'label' => 'Service Title',
						'name' => 'service_title',
						'type' => 'text',
						'instructions' => 'Add the service title',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_52e0027292ae5',
						'label' => 'Service Description',
						'name' => 'service_description',
						'type' => 'wysiwyg',
						'instructions' => 'Add the service description',
						'column_width' => '',
						'default_value' => '',
						'toolbar' => 'full',
						'media_upload' => 'yes',
					),
					array (
						'key' => 'field_52e0029292ae6',
						'label' => 'Icon',
						'name' => 'icon',
						'type' => 'radio',
						'instructions' => 'Upload an image or use an icon',
						'column_width' => '',
						'choices' => array (
							'image' => 'Image',
							'icon' => 'Icon',
						),
						'other_choice' => 0,
						'save_other_choice' => 0,
						'default_value' => 'image',
						'layout' => 'horizontal',
					),
					array (
						'key' => 'field_52e002db92ae7',
						'label' => 'Service Image',
						'name' => 'service_image',
						'type' => 'image',
						'instructions' => 'Add the service image',
						'column_width' => '',
						'save_format' => 'id',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
					array (
						'key' => 'field_52e002f392ae8',
						'label' => 'Service Icon',
						'name' => 'service_icon',
						'type' => 'select',
						'instructions' => 'Select the service icon',
						'column_width' => '',
						'choices' => array (
					'none' => 'none',
					'fa-glass' => '&#xf000;',
					'fa-music' => '&#xf001;',
					'fa-search' => '&#xf002;',
					'fa-envelope-o' => '&#xf003;',
					'fa-heart' => '&#xf004;',
					'fa-star' => '&#xf005;',
					'fa-star-o' => '&#xf006;',
					'fa-user' => '&#xf007;',
					'fa-film' => '&#xf008;',
					'fa-th-large' => '&#xf009;',
					'fa-th' => '&#xf00a;',
					'fa-th-list' => '&#xf00b;',
					'fa-check' => '&#xf00c;',
					'fa-times' => '&#xf00d;',
					'fa-search-plus' => '&#xf00e;',
					'fa-search-minus' => '&#xf010;',
					'fa-power-off' => '&#xf011;',
					'fa-signal' => '&#xf012;',
					'fa-cog' => '&#xf013;',
					'fa-trash-o' => '&#xf014;',
					'fa-home' => '&#xf015;',
					'fa-file-o' => '&#xf016;',
					'fa-clock-o' => '&#xf017;',
					'fa-road' => '&#xf018;',
					'fa-download' => '&#xf019;',
					'fa-arrow-circle-o-down' => '&#xf01a;',
					'fa-arrow-circle-o-up' => '&#xf01b;',
					'fa-inbox' => '&#xf01c;',
					'fa-play-circle-o' => '&#xf01d;',
					'fa-repeat' => '&#xf01e;',
					'fa-refresh' => '&#xf021;',
					'fa-list-alt' => '&#xf022;',
					'fa-lock' => '&#xf023;',
					'fa-flag' => '&#xf024;',
					'fa-headphones' => '&#xf025;',
					'fa-volume-off' => '&#xf026;',
					'fa-volume-down' => '&#xf027;',
					'fa-volume-up' => '&#xf028;',
					'fa-qrcode' => '&#xf029;',
					'fa-barcode' => '&#xf02a;',
					'fa-tag' => '&#xf02b;',
					'fa-tags' => '&#xf02c;',
					'fa-book' => '&#xf02d;',
					'fa-bookmark' => '&#xf02e;',
					'fa-print' => '&#xf02f;',
					'fa-camera' => '&#xf030;',
					'fa-font' => '&#xf031;',
					'fa-bold' => '&#xf032;',
					'fa-italic' => '&#xf033;',
					'fa-text-height' => '&#xf034;',
					'fa-text-width' => '&#xf035;',
					'fa-align-left' => '&#xf036;',
					'fa-align-center' => '&#xf037;',
					'fa-align-right' => '&#xf038;',
					'fa-align-justify' => '&#xf039;',
					'fa-list' => '&#xf03a;',
					'fa-outdent' => '&#xf03b;',
					'fa-indent' => '&#xf03c;',
					'fa-video-camera' => '&#xf03d;',
					'fa-picture-o' => '&#xf03e;',
					'fa-pencil' => '&#xf040;',
					'fa-map-marker' => '&#xf041;',
					'fa-adjust' => '&#xf042;',
					'fa-tint' => '&#xf043;',
					'fa-pencil-square-o' => '&#xf044;',
					'fa-share-square-o' => '&#xf045;',
					'fa-check-square-o' => '&#xf046;',
					'fa-arrows' => '&#xf047;',
					'fa-step-backward' => '&#xf048;',
					'fa-fast-backward' => '&#xf049;',
					'fa-backward' => '&#xf04a;',
					'fa-play' => '&#xf04b;',
					'fa-pause' => '&#xf04c;',
					'fa-stop' => '&#xf04d;',
					'fa-forward' => '&#xf04e;',
					'fa-fast-forward' => '&#xf050;',
					'fa-step-forward' => '&#xf051;',
					'fa-eject' => '&#xf052;',
					'fa-chevron-left' => '&#xf053;',
					'fa-chevron-right' => '&#xf054;',
					'fa-plus-circle' => '&#xf055;',
					'fa-minus-circle' => '&#xf056;',
					'fa-times-circle' => '&#xf057;',
					'fa-check-circle' => '&#xf058;',
					'fa-question-circle' => '&#xf059;',
					'fa-info-circle' => '&#xf05a;',
					'fa-crosshairs' => '&#xf05b;',
					'fa-times-circle-o' => '&#xf05c;',
					'fa-check-circle-o' => '&#xf05d;',
					'fa-ban' => '&#xf05e;',
					'fa-arrow-left' => '&#xf060;',
					'fa-arrow-right' => '&#xf061;',
					'fa-arrow-up' => '&#xf062;',
					'fa-arrow-down' => '&#xf063;',
					'fa-share' => '&#xf064;',
					'fa-expand' => '&#xf065;',
					'fa-compress' => '&#xf066;',
					'fa-plus' => '&#xf067;',
					'fa-minus' => '&#xf068;',
					'fa-asterisk' => '&#xf069;',
					'fa-exclamation-circle' => '&#xf06a;',
					'fa-gift' => '&#xf06b;',
					'fa-leaf' => '&#xf06c;',
					'fa-fire' => '&#xf06d;',
					'fa-eye' => '&#xf06e;',
					'fa-eye-slash' => '&#xf070;',
					'fa-exclamation-triangle' => '&#xf071;',
					'fa-plane' => '&#xf072;',
					'fa-calendar' => '&#xf073;',
					'fa-random' => '&#xf074;',
					'fa-comment' => '&#xf075;',
					'fa-magnet' => '&#xf076;',
					'fa-chevron-up' => '&#xf077;',
					'fa-chevron-down' => '&#xf078;',
					'fa-retweet' => '&#xf079;',
					'fa-shopping-cart' => '&#xf07a;',
					'fa-folder' => '&#xf07b;',
					'fa-folder-open' => '&#xf07c;',
					'fa-arrows-v' => '&#xf07d;',
					'fa-arrows-h' => '&#xf07e;',
					'fa-bar-chart-o' => '&#xf080;',
					'fa-twitter-square' => '&#xf081;',
					'fa-facebook-square' => '&#xf082;',
					'fa-camera-retro' => '&#xf083;',
					'fa-key' => '&#xf084;',
					'fa-cogs' => '&#xf085;',
					'fa-comments' => '&#xf086;',
					'fa-thumbs-o-up' => '&#xf087;',
					'fa-thumbs-o-down' => '&#xf088;',
					'fa-star-half' => '&#xf089;',
					'fa-heart-o' => '&#xf08a;',
					'fa-sign-out' => '&#xf08b;',
					'fa-linkedin-square' => '&#xf08c;',
					'fa-thumb-tack' => '&#xf08d;',
					'fa-external-link' => '&#xf08e;',
					'fa-sign-in' => '&#xf090;',
					'fa-trophy' => '&#xf091;',
					'fa-github-square' => '&#xf092;',
					'fa-upload' => '&#xf093;',
					'fa-lemon-o' => '&#xf094;',
					'fa-phone' => '&#xf095;',
					'fa-square-o' => '&#xf096;',
					'fa-bookmark-o' => '&#xf097;',
					'fa-phone-square' => '&#xf098;',
					'fa-twitter' => '&#xf099;',
					'fa-facebook' => '&#xf09a;',
					'fa-github' => '&#xf09b;',
					'fa-unlock' => '&#xf09c;',
					'fa-credit-card' => '&#xf09d;',
					'fa-rss' => '&#xf09e;',
					'fa-hdd-o' => '&#xf0a0;',
					'fa-bullhorn' => '&#xf0a1;',
					'fa-bell' => '&#xf0f3;',
					'fa-certificate' => '&#xf0a3;',
					'fa-hand-o-right' => '&#xf0a4;',
					'fa-hand-o-left' => '&#xf0a5;',
					'fa-hand-o-up' => '&#xf0a6;',
					'fa-hand-o-down' => '&#xf0a7;',
					'fa-arrow-circle-left' => '&#xf0a8;',
					'fa-arrow-circle-right' => '&#xf0a9;',
					'fa-arrow-circle-up' => '&#xf0aa;',
					'fa-arrow-circle-down' => '&#xf0ab;',
					'fa-globe' => '&#xf0ac;',
					'fa-wrench' => '&#xf0ad;',
					'fa-tasks' => '&#xf0ae;',
					'fa-filter' => '&#xf0b0;',
					'fa-briefcase' => '&#xf0b1;',
					'fa-arrows-alt' => '&#xf0b2;',
					'fa-users' => '&#xf0c0;',
					'fa-link' => '&#xf0c1;',
					'fa-cloud' => '&#xf0c2;',
					'fa-flask' => '&#xf0c3;',
					'fa-scissors' => '&#xf0c4;',
					'fa-files-o' => '&#xf0c5;',
					'fa-paperclip' => '&#xf0c6;',
					'fa-floppy-o' => '&#xf0c7;',
					'fa-square' => '&#xf0c8;',
					'fa-bars' => '&#xf0c9;',
					'fa-list-ul' => '&#xf0ca;',
					'fa-list-ol' => '&#xf0cb;',
					'fa-strikethrough' => '&#xf0cc;',
					'fa-underline' => '&#xf0cd;',
					'fa-table' => '&#xf0ce;',
					'fa-magic' => '&#xf0d0;',
					'fa-truck' => '&#xf0d1;',
					'fa-pinterest' => '&#xf0d2;',
					'fa-pinterest-square' => '&#xf0d3;',
					'fa-google-plus-square' => '&#xf0d4;',
					'fa-google-plus' => '&#xf0d5;',
					'fa-money' => '&#xf0d6;',
					'fa-caret-down' => '&#xf0d7;',
					'fa-caret-up' => '&#xf0d8;',
					'fa-caret-left' => '&#xf0d9;',
					'fa-caret-right' => '&#xf0da;',
					'fa-columns' => '&#xf0db;',
					'fa-sort' => '&#xf0dc;',
					'fa-sort-asc' => '&#xf0dd;',
					'fa-sort-desc' => '&#xf0de;',
					'fa-envelope' => '&#xf0e0;',
					'fa-linkedin' => '&#xf0e1;',
					'fa-undo' => '&#xf0e2;',
					'fa-gavel' => '&#xf0e3;',
					'fa-tachometer' => '&#xf0e4;',
					'fa-comment-o' => '&#xf0e5;',
					'fa-comments-o' => '&#xf0e6;',
					'fa-bolt' => '&#xf0e7;',
					'fa-sitemap' => '&#xf0e8;',
					'fa-umbrella' => '&#xf0e9;',
					'fa-clipboard' => '&#xf0ea;',
					'fa-lightbulb-o' => '&#xf0eb;',
					'fa-exchange' => '&#xf0ec;',
					'fa-cloud-download' => '&#xf0ed;',
					'fa-cloud-upload' => '&#xf0ee;',
					'fa-user-md' => '&#xf0f0;',
					'fa-stethoscope' => '&#xf0f1;',
					'fa-suitcase' => '&#xf0f2;',
					'fa-bell-o' => '&#xf0a2;',
					'fa-coffee' => '&#xf0f4;',
					'fa-cutlery' => '&#xf0f5;',
					'fa-file-text-o' => '&#xf0f6;',
					'fa-building-o' => '&#xf0f7;',
					'fa-hospital-o' => '&#xf0f8;',
					'fa-ambulance' => '&#xf0f9;',
					'fa-medkit' => '&#xf0fa;',
					'fa-fighter-jet' => '&#xf0fb;',
					'fa-beer' => '&#xf0fc;',
					'fa-h-square' => '&#xf0fd;',
					'fa-plus-square' => '&#xf0fe;',
					'fa-angle-double-left' => '&#xf100;',
					'fa-angle-double-right' => '&#xf101;',
					'fa-angle-double-up' => '&#xf102;',
					'fa-angle-double-down' => '&#xf103;',
					'fa-angle-left' => '&#xf104;',
					'fa-angle-right' => '&#xf105;',
					'fa-angle-up' => '&#xf106;',
					'fa-angle-down' => '&#xf107;',
					'fa-desktop' => '&#xf108;',
					'fa-laptop' => '&#xf109;',
					'fa-tablet' => '&#xf10a;',
					'fa-mobile' => '&#xf10b;',
					'fa-circle-o' => '&#xf10c;',
					'fa-quote-left' => '&#xf10d;',
					'fa-quote-right' => '&#xf10e;',
					'fa-spinner' => '&#xf110;',
					'fa-circle' => '&#xf111;',
					'fa-reply' => '&#xf112;',
					'fa-github-alt' => '&#xf113;',
					'fa-folder-o' => '&#xf114;',
					'fa-folder-open-o' => '&#xf115;',
					'fa-smile-o' => '&#xf118;',
					'fa-frown-o' => '&#xf119;',
					'fa-meh-o' => '&#xf11a;',
					'fa-gamepad' => '&#xf11b;',
					'fa-keyboard-o' => '&#xf11c;',
					'fa-flag-o' => '&#xf11d;',
					'fa-flag-checkered' => '&#xf11e;',
					'fa-terminal' => '&#xf120;',
					'fa-code' => '&#xf121;',
					'fa-reply-all' => '&#xf122;',
					'fa-mail-reply-all' => '&#xf122;',
					'fa-star-half-o' => '&#xf123;',
					'fa-location-arrow' => '&#xf124;',
					'fa-crop' => '&#xf125;',
					'fa-code-fork' => '&#xf126;',
					'fa-chain-broken' => '&#xf127;',
					'fa-question' => '&#xf128;',
					'fa-info' => '&#xf129;',
					'fa-exclamation' => '&#xf12a;',
					'fa-superscript' => '&#xf12b;',
					'fa-subscript' => '&#xf12c;',
					'fa-eraser' => '&#xf12d;',
					'fa-puzzle-piece' => '&#xf12e;',
					'fa-microphone' => '&#xf130;',
					'fa-microphone-slash' => '&#xf131;',
					'fa-shield' => '&#xf132;',
					'fa-calendar-o' => '&#xf133;',
					'fa-fire-extinguisher' => '&#xf134;',
					'fa-rocket' => '&#xf135;',
					'fa-maxcdn' => '&#xf136;',
					'fa-chevron-circle-left' => '&#xf137;',
					'fa-chevron-circle-right' => '&#xf138;',
					'fa-chevron-circle-up' => '&#xf139;',
					'fa-chevron-circle-down' => '&#xf13a;',
					'fa-html5' => '&#xf13b;',
					'fa-css3' => '&#xf13c;',
					'fa-anchor' => '&#xf13d;',
					'fa-unlock-alt' => '&#xf13e;',
					'fa-bullseye' => '&#xf140;',
					'fa-ellipsis-h' => '&#xf141;',
					'fa-ellipsis-v' => '&#xf142;',
					'fa-rss-square' => '&#xf143;',
					'fa-play-circle' => '&#xf144;',
					'fa-ticket' => '&#xf145;',
					'fa-minus-square' => '&#xf146;',
					'fa-minus-square-o' => '&#xf147;',
					'fa-level-up' => '&#xf148;',
					'fa-level-down' => '&#xf149;',
					'fa-check-square' => '&#xf14a;',
					'fa-pencil-square' => '&#xf14b;',
					'fa-external-link-square' => '&#xf14c;',
					'fa-share-square' => '&#xf14d;',
					'fa-compass' => '&#xf14e;',
					'fa-caret-square-o-down' => '&#xf150;',
					'fa-caret-square-o-up' => '&#xf151;',
					'fa-caret-square-o-right' => '&#xf152;',
					'fa-eur' => '&#xf153;',
					'fa-gbp' => '&#xf154;',
					'fa-usd' => '&#xf155;',
					'fa-inr' => '&#xf156;',
					'fa-jpy' => '&#xf157;',
					'fa-rub' => '&#xf158;',
					'fa-krw' => '&#xf159;',
					'fa-btc' => '&#xf15a;',
					'fa-file' => '&#xf15b;',
					'fa-file-text' => '&#xf15c;',
					'fa-sort-alpha-asc' => '&#xf15d;',
					'fa-sort-alpha-desc' => '&#xf15e;',
					'fa-sort-amount-asc' => '&#xf160;',
					'fa-sort-amount-desc' => '&#xf161;',
					'fa-sort-numeric-asc' => '&#xf162;',
					'fa-sort-numeric-desc' => '&#xf163;',
					'fa-thumbs-up' => '&#xf164;',
					'fa-thumbs-down' => '&#xf165;',
					'fa-youtube-square' => '&#xf166;',
					'fa-youtube' => '&#xf167;',
					'fa-xing' => '&#xf168;',
					'fa-xing-square' => '&#xf169;',
					'fa-youtube-play' => '&#xf16a;',
					'fa-dropbox' => '&#xf16b;',
					'fa-stack-overflow' => '&#xf16c;',
					'fa-instagram' => '&#xf16d;',
					'fa-flickr' => '&#xf16e;',
					'fa-adn' => '&#xf170;',
					'fa-bitbucket' => '&#xf171;',
					'fa-bitbucket-square' => '&#xf172;',
					'fa-tumblr' => '&#xf173;',
					'fa-tumblr-square' => '&#xf174;',
					'fa-long-arrow-down' => '&#xf175;',
					'fa-long-arrow-up' => '&#xf176;',
					'fa-long-arrow-left' => '&#xf177;',
					'fa-long-arrow-right' => '&#xf178;',
					'fa-apple' => '&#xf179;',
					'fa-windows' => '&#xf17a;',
					'fa-android' => '&#xf17b;',
					'fa-linux' => '&#xf17c;',
					'fa-dribbble' => '&#xf17d;',
					'fa-skype' => '&#xf17e;',
					'fa-foursquare' => '&#xf180;',
					'fa-trello' => '&#xf181;',
					'fa-female' => '&#xf182;',
					'fa-male' => '&#xf183;',
					'fa-gittip' => '&#xf184;',
					'fa-sun-o' => '&#xf185;',
					'fa-moon-o' => '&#xf186;',
					'fa-archive' => '&#xf187;',
					'fa-bug' => '&#xf188;',
					'fa-vk' => '&#xf189;',
					'fa-weibo' => '&#xf18a;',
					'fa-renren' => '&#xf18b;',
					'fa-pagelines' => '&#xf18c;',
					'fa-stack-exchange' => '&#xf18d;',
					'fa-arrow-circle-o-right' => '&#xf18e;',
					'fa-arrow-circle-o-left' => '&#xf190;',
					'fa-caret-square-o-left' => '&#xf191;',
					'fa-dot-circle-o' => '&#xf192;',
					'fa-wheelchair' => '&#xf193;',
					'fa-vimeo-square' => '&#xf194;',
					'fa-try' => '&#xf195;',
					'fa-plus-square-o' => '&#xf196;',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add a service',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-services.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-services_bucket.php',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_single-project',
		'title' => 'Single Project',
		'fields' => array (
			array (
				'key' => 'field_52f1223e99b0a',
				'label' => 'Layout',
				'name' => 'layout',
				'type' => 'radio',
				'instructions' => 'Choose the layout for the page',
				'choices' => array (
					'box' => 'Box',
					'full' => 'Full',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'box',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52f1238580776',
				'label' => 'Open Content',
				'name' => 'open_content',
				'type' => 'true_false',
				'instructions' => 'Check for content to be in an open state',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f1223e99b0a',
							'operator' => '==',
							'value' => 'full',
						),
					),
					'allorany' => 'all',
				),
				'message' => '',
				'default_value' => 0,
			),
			array (
				'key' => 'field_52f122b899b0d',
				'label' => 'Gallery',
				'name' => 'gallery',
				'type' => 'gallery',
				'instructions' => 'Add images for this project',
				'preview_size' => 'thumbnail',
			),
			array (
				'key' => 'field_52f1229d99b0c',
				'label' => 'Preview Title',
				'name' => 'preview_title',
				'type' => 'text',
				'instructions' => 'Add the preview title',
				'default_value' => 'Preview',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f1226899b0b',
				'label' => 'Preview Link',
				'name' => 'preview_link',
				'type' => 'text',
				'instructions' => 'Add the preview link',
			
				'default_value' => 'http://',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'project_post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_template-blog-2',
		'title' => 'Template Blog',
		'fields' => array (
			array (
				'key' => 'field_52f50b074dd57',
				'label' => 'Categories',
				'name' => 'categories',
				'type' => 'radio',
				'instructions' => 'Display all categories or custom categories',
				'choices' => array (
					'all' => 'All',
					'custom' => 'Custom',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'all',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52f50b394dd58',
				'label' => 'Custom Categories',
				'name' => 'custom_categories',
				'type' => 'taxonomy',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f50b074dd57',
							'operator' => '==',
							'value' => 'custom',
						),
					),
					'allorany' => 'all',
				),
				'taxonomy' => 'category',
				'field_type' => 'checkbox',
				'allow_null' => 0,
				'load_save_terms' => 0,
				'return_format' => 'id',
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-blog.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_template-projects',
		'title' => 'Template Projects',
		'fields' => array (
			array (
				'key' => 'field_52f4ffbedb158',
				'label' => 'Categories',
				'name' => 'categories',
				'type' => 'radio',
				'instructions' => 'Display all categories or custom categories',
				'choices' => array (
					'all' => 'All',
					'custom' => 'Custom',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'all',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52f50025db159',
				'label' => 'Custom categories',
				'name' => 'custom_categories',
				'type' => 'taxonomy',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f4ffbedb158',
							'operator' => '==',
							'value' => 'custom',
						),
					),
					'allorany' => 'all',
				),
				'taxonomy' => 'project_category',
				'field_type' => 'checkbox',
				'allow_null' => 0,
				'load_save_terms' => 0,
				'return_format' => 'id',
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-projects_large.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-projects_small.php',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-projects_landscape.php',
					'order_no' => 0,
					'group_no' => 2,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_video-post',
		'title' => 'Video Post',
		'fields' => array (
			array (
				'key' => 'field_52f263621717b',
				'label' => 'Video Type',
				'name' => 'video_type',
				'type' => 'radio',
				'instructions' => 'Choose the video type',
				'choices' => array (
					'youtube' => 'YouTube',
					'vimeo' => 'Viemo',
					'selfhosted' => 'Self Hosted',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'youtube',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_52f2638e1717c',
				'label' => 'Video ID',
				'name' => 'video_id',
				'type' => 'text',
				'instructions' => 'Add the video ID from the URL',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f263621717b',
							'operator' => '==',
							'value' => 'youtube',
						),
						array (
							'field' => 'field_52f263621717b',
							'operator' => '==',
							'value' => 'vimeo',
						),
					),
					'allorany' => 'any',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_52f263b01717d',
				'label' => 'Video File',
				'name' => 'video_file',
				'type' => 'file',
				'instructions' => 'Add the video file',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_52f263621717b',
							'operator' => '==',
							'value' => 'selfhosted',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'video',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}


if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_testimonials',
		'title' => 'Testimonials',
		'fields' => array (
			array (
				'key' => 'field_5343f8e40d539',
				'label' => 'Testimonials',
				'name' => 'testimonials',
				'type' => 'repeater',
				'instructions' => 'Add Testimonials',
				'sub_fields' => array (
					array (
						'key' => 'field_5343f9010d53a',
						'label' => 'Author',
						'name' => 'author',
						'type' => 'text',
						'instructions' => 'Add the author',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_5343f90c0d53b',
						'label' => 'Title',
						'name' => 'title',
						'type' => 'text',
						'instructions' => 'Add the author title',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_5343f92b0d53c',
						'label' => 'Testimonial',
						'name' => 'testimonial',
						'type' => 'textarea',
						'instructions' => 'The testimonial',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'maxlength' => '',
						'formatting' => 'br',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Testimonial',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-testimonials.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}


?>