<?php
/*
Template Name:About Us
*/

get_header();
?>


<div class="content templateAboutUs">
					
	
	<?php wp_reset_postdata(); ?>
	<?php if(get_the_content()): ?>
			<div class="theContent hasBg">
				<?php the_content(); ?>
			</div>
		
	<?php endif; ?>

	<section class="home_fullSlider">
	
	<?php $members = get_field('members'); ?>

	<?php if($members): ?>

		<div class="frame" id="basic" >
			<ul class="clearfix" >
				
				<?php foreach($members as $member): ?>
					<li>
						<article class="aboutMeBox fluidItem">

						<?php $image = wp_get_attachment_image_src( $member['image'],'full'); ?>
							<img class="me" src="<?php echo $image[0]; ?>">
							<div class="aboutMeContent">
								<h3 class="name"><?php echo $member['full_name'] ?></h3>
								<h6 class="title"><?php echo $member['postition'] ?></h6>
								<p class="description"><?php echo $member['description'] ?></p>
							
								<?php $social_networks = $member['social_networks']; ?>
								<?php if($social_networks): ?>
									
										<ul class="aboutUs_social">
										<?php foreach($social_networks as $network): ?>
											<li><a href="<?php echo $network['url']; ?>"><i class="fa <?php echo $network['network']; ?>"></i></a></li>
										<?php endforeach; ?>
										</ul>

								<?php endif; ?>
							</div>
							
						</article>
					</li>
				<?php endforeach; ?>
			</ul>
		</div>

	
		<?php if(count($members) > 2): ?>
			<div class="controls aboutUsControls">
				<span class="css_arrow prev"></span>
				<span class="css_arrow next"></span>
			</div>
		<?php endif;?>

	<?php endif; ?>

	<?php if(get_field('application_title')): ?>

		<div class="jobAplication">
		<i class="jobAplicationIcon fa <?php the_field('application_icon'); ?>"></i>
			<?php if(get_field('application_type') == 'file'):?>
				<a href="<?php the_field('application'); ?>"><h3><?php the_field('application_title'); ?></h3></a>
			<?php else: ?>
				<a href="<?php the_field('application_url'); ?>"><h3><?php the_field('application_title'); ?></h3></a>
			<?php endif; ?>
			<p><?php  the_field('application_description');?></p>
		</div>

	<?php endif; ?>

	</section>
</div>

<script>
	jQuery(document).ready(function($) {
		aboutUs();	
	});

</script>

<?php get_footer(); ?>