<?php
/*
Template Name:Contact
*/


$formSubmitted = false;
$sentMessage = false;

if(get_field('disable_ajax','options')){

    if(isset($_POST["submitted"]) && $_POST["submitted"]){
        if(!(isset($_POST["full_name"]) && $_POST["full_name"]))
        {
            throwError('Full Name');
        }
        elseif(!(isset($_POST["email"]) && $_POST["email"])){
            throwError('Email');
        }
        elseif(!(isset($_POST["comment"]) && $_POST["comment"])){
            throwError('Comment');
        }
        else
        {

            $name = $_POST["full_name"];
            $email = $_POST["email"];
            $message = $_POST["comment"];
            $to_email = get_field('email_receiver');
            if(!$to_email){
                $to_email = get_option('admin_email');
            }
            $subject = "[".get_bloginfo('name')."] - ".$email;
               
                                $message = "
                                Name : {$name},
                                Email : {$email}

                                $message
                            ";
                if(wp_mail($to_email,$subject,$message))
                {
                    $sentMessage = true;
                }
                else{
                    $sentMessage = false;
                }
            $formSubmitted = true;
        }
    }
}


if(isset($_REQUEST["um_name"]) && isset($_REQUEST["um_email"]) && isset($_REQUEST["um_message"])){
    $name = $_REQUEST["um_name"];
    $email = $_REQUEST["um_email"];
    $message = $_REQUEST["um_message"];
    $to_email = get_field("email_receiver");
    if(!$to_email){
        $to_email = get_option('admin_email');
    }
    $subject = "[".get_bloginfo('name')."] - ".$email;
    
        $message = "
            Name : {$name},
            Email : {$email}

            $message
        ";
  
    if(wp_mail($to_email,$subject,$message))
    {
        echo  get_field('success_message');
    }
    else{
        echo get_field('failed_message');
    }

    die;
}

get_header();
?>


	<?php
    	$latLng = get_field('google_map');
    	$zoomLevel = get_field('map_zoom');
		
		$disable_zoom = '';
		if(get_field('disable_map_zoom')){
			$disable_zoom = 'false';
		}
		else{
			$disable_zoom = 'true';
		}
		
		$brandColorMap = get_field('brand_color','options');
		if(!$brandColorMap){
			$brandColorMap = '#e0af62';
		}
	?>

	<?php if($latLng != ""): ?>
    <script>
        jQuery(document).ready(function ($) {

            var myCenter = new google.maps.LatLng(<?php echo $latLng['coordinates']; ?>);

            function initialize()
            {
                var mapProp = {
                    center:myCenter,
                    zoom: <?php echo $zoomLevel; ?>,
					scrollwheel: <?php echo $disable_zoom; ?>,
                    mapTypeId:google.maps.MapTypeId.ROADMAP
                };

				if($('#googleMap').length == 1){
                var map = new google.maps.Map(document.getElementById("googleMap"),mapProp);
				var iconBase = template_directory + '/assets/mapImg/';
                var marker = new google.maps.Marker({
                    position:myCenter,
					icon: iconBase + 'marker.png'
                });

                marker.setMap(map);
				
				var styles = [
							  {
								"stylers": [
								  { "lightness": -20 },
								  { "gamma": 1.9 },
								  { "saturation": 60 },
								  { "weight": 0.9 },
								  { "hue": "<?php echo $brandColorMap; ?>" }
								]
							  }
							];							;
				
				
					map.setOptions({styles: styles});
				}
            }

            //google.maps.event.addDomListener(window, 'load', initialize);
            initialize();
        });

    </script>
	<?php endif; ?>

<div class="content templateContact">


	<?php if(!get_field('disable_map')):?>
        <div id="googleMap"></div>
    <?php endif;?>



	<div class="containerWrapper hasBg">
		<div class="container">
			<div class="row">
				<div class="contactFormWrapper col-md-8">
					<h3><?php the_field('contact_form_name'); ?></h3>
					<div class="row">
					 <?php if(!$formSubmitted):?>
						<form class="contactForm" action="" method="post" >
							
							<input type="hidden" name="submitted" value="true" />
							
							<div class="col-md-6">
								<input id='full_name' name='full_name' type="text" placeholder="<?php the_field('full_name_label'); ?>"/>
							</div>
							<div class="col-md-6">
								<input id='email' name='email' type="email" placeholder="<?php the_field('email_label'); ?>"/>
							</div>
							<div class="col-md-12">
								<textarea  id="comment" name='comment' placeholder="<?php the_field('message_box_label'); ?>"></textarea>
							</div>
							<div class="col-md-6">
								<button type="reset" class="btn reset"><?php the_field('reset_button_label'); ?></button>
							</div>
							<div class="col-md-6">
								<button type="submit" class="btn send"><?php the_field('submit_button_label'); ?></button>
							</div>
						</form>
					<?php endif; ?>
						<div>
                            <h1 class="um_message"></h1>
                        </div>
					  <?php if($formSubmitted): ?>
                        <div>
                            <?php if($message == true): ?>
                                <h1><?php the_field('success_message'); ?></h1>
                            <?php else: ?>
                                <h1><?php  the_field('failed_message'); ?></h1>
                            <?php endif;?>
                        </div>
                    <?php endif;?>
					</div>
				</div>
				<div class="contactDetailsWrapper col-md-4">
					<h3><?php the_field('info_title'); ?></h3>
					<?php $details = get_field('info_details'); ?>
					<?php if($details): ?>
						<ul>
						<?php foreach($details as $singleDetail): ?>
							<li>
								<h5 class="detailTitle"><?php echo $singleDetail['title']; ?></h5>
								<p class="detailDesc"><?php echo $singleDetail['content']; ?></p>
							</li>
						<?php endforeach; ?>
						</ul>
				<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>