<?php
/*
Template Name:Home_fancy
*/

get_header();
?>

<?php if(get_field('transparent')): ?>
	<style>
		html, body, .um_container {
			height:100%;
		}
		
		header {
			position:fixed;
			top:0;
			background:transparent;
			z-index: 5;
		}

		header .logo h1,
		header .logo h6,
		header .navbar > div > ul.nav > li > a {
			color:#fff ;

		}
		header .navbar > div > ul.nav > li > a.current_page_item, 
		header .navbar > div > ul.nav > li > a:hover {
			color:#e0af62;
		}

		footer {
			position:fixed;
			bottom:0;
			background: transparent;
			z-index: 5;
		}
		footer p, 
		footer .footer_social li a,
		footer address {
			color:#fff;
			border-color:#fff;
		}

		footer .footer_social li a:hover {
			color:#e0af62;
			border-color: #e0af62;
		}

		.main_container {
			min-height: 100%;
		}

		.manuAndLogo.logo_right.logo_left .navbar.second_menu ul.nav > li:first-child > a:before,
		.navbar ul.nav > li > a:before,
		.navbar ul.nav > li > a:after {
			color:#fff;
		}

		</style>
<?php else: ?>
	<style>
		html, body, .um_container {
			height:100%;
		}

		.main_container {
			height: -moz-calc(100% - 140px) !important;
		    height: -webkit-calc(100% - 140px) !important;
		    height: calc(100% - 140px) !important;
		}
	</style>
<?php endif; ?>

<div class="content templateHomeFancy">
					
		<?php $fancy_slider =  get_field('slider'); ?>
		<?php if($fancy_slider): ?>


				<section id="slides" class="fancyImageSlider">
					<ul class="slides-container">
						<?php foreach ($fancy_slider as $slides) :?>
								<?php 
									$overlayPercantage = $slides['overlay_percentage'];
									$overlay = $overlayPercantage / 100;
									
									$overlayColorHex = $slides['overlay_color'];
								
									$color = sscanf($overlayColorHex, "#%02x%02x%02x");
										

								?>
							<li>
								<div id="sliderShadow" style="background:rgba(<?php echo $color[0].','.$color[1].','.$color[2].','.$overlay ?>)"></div>
								<?php $image = wp_get_attachment_image_src( $slides['image'], "full" ); ?>
								<img src="<?php echo $image['0']; ?>">
							</li>
						<?php endforeach; ?>
					</ul>

					<div class="verticalSliderWrapper">	

							<section class="home_fullSlider">
							
								<div class="frame smart" id="smart">
									<ul class="clearfix" id="um_pagination">
										<?php foreach($fancy_slider as $slides): ?>
										<li>
										
												<article>
													<h3 class="fancyH3">
														<a class="um_ajaxLink" href="<?php echo $slides['url']; ?>"> 
														<?php echo $slides['title']; ?>
														</a> 
													</h3>
													
													<h6><?php echo $slides['content']; ?></h6>
												</article>
											
										</li>	
									<?php endforeach; ?>
									</ul>
								</div>

								<div class="controls vertical">
									<span class="um_prev prev fa fa-angle-up fa-2x"></span>
									<span class="um_prev next fa fa-angle-down fa-2x"></span>
								</div>

							</section>
					</div>
				</section>		
		<?php endif; ?>			

		<?php wp_reset_postdata(); ?>
			<?php if(get_the_content()): ?>
			
				<div class="theContent hasBg">
					<?php the_content(); ?>
				</div>
			
		<?php endif; ?>		
</div>

<?php  $autoPlay = get_field('auto_play'); ?>

		<script>
			var autoPlay = "<?php echo $autoPlay; ?>";
			jQuery(document).ready(function($){
				home_fancy(autoPlay);
			});
		</script>
<?php get_footer(); ?>