<?php
/*
Template Name:Home Video
*/

get_header();
?>

<?php 

	$overlayPercantage = get_field('overlay');
	$overlay = $overlayPercantage / 100;
	
	$overlayColorHex = get_field('overlay_color');

	$color = sscanf($overlayColorHex, "#%02x%02x%02x");
?>

<div class="content homeVideo">

		<?php 
			$mute = '';
			if(get_field('mute')){
				$mute = 'muted';
			}
		?>

		<div class="video_fullscreen">
			<div class="video_overlay" style="background:rgba(<?php echo $color[0].','.$color[1].','.$color[2].','.$overlay ?>)"></div>
            <?php
				$videoType = get_field('video');
				if($videoType == 'vimeo'):
                    ?>
					<div class="vimeo_container">
						<iframe class="vimeo" src="http://player.vimeo.com/video/<?php the_field('video_id'); ?>?api=1&autoplay=1&loop=1&title=0&byline=0&portrait=0" width="100%" height="100%" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
					</div>
		  <?php elseif($videoType == 'youtube'): ?>				
                    <!--<div id="ov_vid" data-vid="<?php the_field('video_id'); ?>"></div>-->
					
					<video class="um_youtube" autoplay="autoplay" <?php echo $mute; ?> id="player" loop="loop" >
					<source type="video/youtube" src="http://www.youtube.com/watch?v=<?php the_field('video_id');?>&cc_load_policy=3" />
					</video>
               
            <?php else: ?>
                <video  autoplay="autoplay" <?php echo $mute; ?> id="player" loop="loop" >
                       <source type="video/mp4" src="<?php the_field("video_file"); ?>"/>          
                </video>
            <?php endif; ?>
        </div>

        <div class="capture cap_video">
            <?php if(get_field("video_title")): ?>
                <p class="vid_title fadeInDown animated">
                    <?php the_field("video_title"); ?>
                </p>
            <?php endif;?>
			<?php if(get_field("video_content")): ?>
                <p class="vid_content fadeInDown animated">
                    <?php the_field("video_content"); ?>
                </p>
            <?php endif;?>
            <?php if(get_field("read_more_text") && get_field("read_more_link")): ?>
			    <a class="vid_button fadeInDown animated" href="<?php the_field("read_more_link"); ?>"><span><?php the_field("read_more_text"); ?></span></a>
            <?php endif; ?>
        </div>


</div>
<script>
jQuery(document).ready(function(){
	
	homeVideo();

});


</script>

<?php get_footer(); ?>